ghostscript (9.55.0~dfsg1-0ubuntu5.4) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-38559.patch: bounds check the buffer prior to
      deferencing the pointer in devn_pcx_write_rle() in base/gdevdevn.c.
    - CVE-2023-38559

 -- Allen Huang <allen.huang@canonical.com>  Tue, 15 Aug 2023 11:40:49 +0100

ghostscript (9.55.0~dfsg1-0ubuntu5.3) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect permission validation for pipe devices
    - debian/patches/CVE-2023-36664-1.patch: don't reduce pipe file names
      for permission validation in base/gpmisc.c, base/gslibctx.c.
    - debian/patches/CVE-2023-36664-2.patch: fix logic and add extra test
      in base/gpmisc.c, base/gslibctx.c.
    - CVE-2023-36664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jul 2023 12:49:52 -0400

ghostscript (9.55.0~dfsg1-0ubuntu5.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-28879.patch: add check to make sure that the
      buffer has space for two characters in s_xBCPE_process() in base/sbcp.c.
    - CVE-2023-28879

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Thu, 13 Apr 2023 11:15:40 -0300

ghostscript (9.55.0~dfsg1-0ubuntu5.1) jammy-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference issue
    - debian/patches/CVE-2022-2085.patch: add init_device_procs entry for
      mem_x_device in base/gdevmx.c.
    - CVE-2022-2085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Sep 2022 10:05:05 -0400

ghostscript (9.55.0~dfsg1-0ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:34 +0100

ghostscript (9.55.0~dfsg1-0ubuntu4) jammy; urgency=medium

  * Just mark all libtesseract symbols optional and be done with it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 21:21:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu3) jammy; urgency=medium

  * Mark as optional various symbols which are leaked from the embedded
    tesseract library and are not part of the public API, and which are also
    arch-specific so causing build failures on non-x86.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 20:27:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu2) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Updated debian/libgs9.symbols.

 -- Paride Legovini <paride@ubuntu.com>  Thu, 02 Dec 2021 12:39:37 +0100

ghostscript (9.55.0~dfsg-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix the logic for freeing X pixmap;
    really closes: bug#998888, thanks again to Florian Lindemann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 15:46:45 +0100

ghostscript (9.55.0~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix gx_default_copy_alpha calling get_bits_rectangle;
    closes: bug#1000710, thanks to Hilmar Preuße

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2021 11:07:05 +0100

ghostscript (9.55.0~dfsg1-0ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Nov 2021 18:24:56 +0100

ghostscript (9.55.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied;
    unfuzz patch 2009
  * update copyright info:
    + update coverage
    + tighten lintian overrides
  * update symbols:
    + 466 private symbols added
    + 76 private symbols dropped
  * add patches cherry-picked upstream:
    + avoid freeing the background pixmap created by gv;
      closes: bug#704709, thanks to Florian Lindemann
    + fix pdfwrite encoding bugs;
      closes: bug#998458, #998461, thanks to Vincent Lefevre

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 17:58:29 +0100

ghostscript (9.55.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage
  * add patch 1002 proposed upstream to fix build with gpdf
  * add patch 1003 to fix failure to link against lcms2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Sep 2021 14:31:04 +0200

ghostscript (9.54.0~dfsg1-0ubuntu2) impish; urgency=medium

  * SECURITY UPDATE: Trivial -dSAFER bypass
    - debian/patches/CVE-2021-3781.patch: include device specifier strings
      in access validation in base/gdevpipe.c, base/gp_mshdl.c,
      base/gp_msprn.c, base/gp_os2pr.c, base/gslibctx.c.
    - CVE-2021-3781

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Sep 2021 07:59:00 -0400

ghostscript (9.54.0~dfsg1-0ubuntu1) impish; urgency=medium

  * New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
    tesseract convenience copies in as they are not in Ubuntu Main. Added
    appropriate remark to debian/copyright.
  * De-activated the extract library/"docxwrite" device. This did not
    build and Debian also seems to not use it. Used the --without-extract-dir
    option on ./configure for that.
  * "Downgrade" dh_missing from --fail-missing to --list-missing to
    avoid FTBFS on non-amd64 from compat 13 on
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Aug 2021 11:54:46 +0200

ghostscript (9.54.0~dfsg-5) unstable; urgency=medium

  * Revert to not mark /usr/share/ghostscript/* as not-installed:
    works but a clumsy approach
  * properly fix tracking installed files
    by expanding upstream ABI  in debhelper snippets
    (passing ABI-specific path dh_install options confuses dh_missing);
    thanks to Roderich Schupp (see bug#994270)
  * update symbols:
    + 20 private symbols added
    + 1 private symbol dropped

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:04:05 +0200

ghostscript (9.54.0~dfsg-4) experimental; urgency=medium

  * mark /usr/share/ghostscript/* as not-installed,
    which is clearly bogus but seems the only (simple) way
    to ignore only for arch-dependent builds;
    closes: bug#994270, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 23:55:30 +0200

ghostscript (9.54.0~dfsg-3) experimental; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * build with pkgkde-symbolshelper;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 14:55:10 +0200

ghostscript (9.54.0~dfsg-2) experimental; urgency=medium

  * copyright-check: improve progress messages
  * Merge 9.53.3~dfsg-8:
    + add patch cherry-picked upstream
      to fix access validationaccess validation;
      closes: bug#994011;
      CVE-2021-3781
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:41:03 +0200

ghostscript (9.54.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude comvenience copies
      of projects libextract, leptonica, and tesseract
    + update coverage
    + update source helper tool copyright-check:
      implement option --merge-licenses
  * drop patches cherry-picked upstream since applied
  * unfuzz patches
  * add patches cherry-picked upstream:
    + improve description of configure.ac option --with-extract-dir
    + fix magic number used in pam device
    + fix MacOS/tesseract build problems on Unix systems
    + work with latest Extract library
    + bounds check name table "string"
    + add some relevant flags to the cups compilation
    + do not lie about emitting Multiple Master fonts in psfwrite
    + add a PassThrough for JPX encoded images to pdfwrite
    + fix missing interior of rectangles (regression in 9.54.0)
    + tweak Leptonica/Tesseract memory allocators
  * add patch 1004 to enable DeviceN-related device xcfcmyk
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jul 2021 15:07:19 +0200

ghostscript (9.53.3~dfsg-8) unstable; urgency=high

  * add patch cherry-picked upstream
    to fix access validationaccess validation;
    closes: bug#994011;
    CVE-2021-3781
  * Set urgency=high due to security fix.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:12:26 +0200

ghostscript (9.53.3~dfsg-7) unstable; urgency=medium

  * update previous changelog section, add a bug closure.
  * update source helper script copyright-check.
  * copyright: update coverage
  * add patches cherry-picked upstream:
    + re-enable support for opvp/oprp devices;
      closes: bug#980971, thanks to Chris Bainbridge
    + parse some types of broken PDFs;
      closes: bug#981583, thanks to Rogério Brito
    + fix segfault parsing large Postscript file;
      closes: bug#970878, thanks to Paul Gevers, Bernhard Übelacker,
      Iustin Pop and Stefano Rivera
  * update symbols: 4 private symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 14:18:01 +0100

ghostscript (9.53.3~dfsg-6) unstable; urgency=medium

  * copyright-check:
    + fix quote path when creating temporary skipfile
    + ignore skipfiles below debian/
    + compute robust file regex from content with regexp-assemble
    + list dependencies in header comment
  * add source helper tools
    patch-cherry-pick patch-mkseries patch-refresh-all
  * copyright:
    + update coverage
    + consistently wrap Files and Copyright paragraphs
      (sole exception being initial wildcard Files paragraph)
  * add patch cherry-picked upstream,
    and patch by Stefano Rivera,
    to fix endian issues with CMM;
    closes: bug#976177, thanks to Stefano Rivera
  * add patch 1003 to fix size check in gdevdsp;
    closes: bug#977754,
    thanks to Patrice Duroux, Pino Toscano, and others
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add patch cherry-picked upstream
    to fix linking with libfreetype 2.10.3 and newer

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2020 02:51:22 +0100

ghostscript (9.53.3~dfsg-5) unstable; urgency=medium

  * simplify build routines slightly
  * tighten source script copyright-check
  * update copyright hints
  * relax tracking of symlinks to fonts-urw-base35
    to ignore file contents;
    closes: bug#972896, thanks to Fabian Greffrath

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 11:04:53 +0100

ghostscript (9.53.3~dfsg-4) unstable; urgency=medium

  * simplify build: rely on configure defaults
  * avoid build-depending on libcups2-dev libcupsimage2-dev for kfreebsd

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2020 16:34:30 +0200

ghostscript (9.53.3~dfsg-3) unstable; urgency=medium

  * fix arch-only build;
    closes: bug#971678, thanks to Sebastian Ramacher and Simon McVittie
  * fix revert to avoid parallel builds (see bug#971678)
  * copyright: tighten coverage of default licensed files
  * copyright-check:
    + license as GPL-3+
    + check step-wise, with some cleanup
    + check default licensed files first
  * fix build-depend on zlib1g-dev:native
    (not virtual libz-dev:native);
    closes: bug#971738, thanks to Simon McVittie

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2020 14:59:44 +0200

ghostscript (9.53.3~dfsg-2) unstable; urgency=medium

  * improve (but not fully solve) cross build support:
    + add patch 1001 to allow skipping configure during bootstrap,
      and use that during build
    + build-depend on libz-dev:native (not libz-dev)
    closes: bug#971092, thanks to Helmut Grohne
  * simplify build;
    migrate binary package ghostscript-dbg
    to automated *-dbgsym packages;
    stop build-depend on cdbs
  * fix configure additional multi-arch paths
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * unfuzz patch 2009

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Oct 2020 13:52:56 +0200

ghostscript (9.53.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop superfluous license hint and lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Oct 2020 12:54:33 +0200

ghostscript (9.53.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * simplify source script copyright-check
  * unfuzz patch 2009
  * update Uploaders field to reflect actual maintenance;
    thanks for your past contributions,
    Michael Gilbert and Bastien ROUCARIÈS,
    and feel free to join again

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 16:51:43 +0200

ghostscript (9.53.1~dfsg-2) unstable; urgency=medium

  * simple rebuild,
    to re-sync symlinks with newer release of fonts-urw-base35

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2020 11:23:43 +0200

ghostscript (9.53.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Sep 2020 17:36:04 +0200

ghostscript (9.53.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libjbig2dec0-dev
  * enable parallel build
  * update symbols:
    + 6 public symbols added
    + 45 private symbols added
    + 25 private symbols dropped

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2020 21:08:17 +0200

ghostscript (9.53.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright: extend coverage
  * unfuzz patches (including removal of virtually empty patch 2012)
  * update and simplify resolving upstream abi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Aug 2020 18:36:16 +0200

ghostscript (9.52.1~dfsg-1) unstable; urgency=high

  [ upstream ]
  * new release
    (CVE-2020-15900)

  [ Jonas Smedegaard ]
  * set urgency=high, due to CVE fix
  * have autoreconf use upstream bootstrapping script
  * resolve abi from upstream build scripts

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Aug 2020 17:38:01 +0200

ghostscript (9.52~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * watch:
    + simplify usage comment
    + use dversionmangle=auto
  * declare compliance with Debian Policy 4.5.0
  * trim trailing whitespace
  * wrap long lines in older changelog entries
  * use debhelper 10 (not 9);
    stop build-depend explicitly on dh-autoreconf
  * copyright: fix use field Comment (not unofficial Comments)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Mar 2020 15:52:14 +0100

ghostscript (9.51~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update symbols:
    + 20 private symbols added
    + 3 private symbols dropped

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Mar 2020 17:57:57 +0100

ghostscript (9.51~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright:
    + fix cover 2 files in the public domain
    + fix cover 2 file licensed Adobe-2006
    + cover 2 files licensed GPL-3+ with Autoconf exception
    + cover 1 file licensed Expat
    + extend coverage for main copyright holder
  * drop patches cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Mar 2020 13:32:25 +0100

ghostscript (9.50~dfsg-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to add 'omitEOD' flag to RLE compressor and use for PXL;
    closes: bug#941864,
    thanks to Agustin Martin and Johannes Stezenbach

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 20:15:08 +0100

ghostscript (9.50~dfsg-4) unstable; urgency=medium

  * fix CVE reference in previous changelog entry
  * fix stop needlessly have ligs-dev depend on build-dependencies;
    stop build-depend on d-shlibs;
    closes: bug#945516, thanks to Thomas Loimer
  * add patch cherry-picked upstream to fix dvipdf script;
    closes: bug#941163, thanks to Alexis Bienvenüe

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 17:57:01 +0100

ghostscript (9.50~dfsg-3) unstable; urgency=medium

  * add patch cherry-picked upstream to remove .forceput from /.charkeys;
    closes: bug#944760 (CVE-2019-14869); thanks to Salvatore Bonaccorso
  * unfuzz patches 2007 2009

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2019 00:13:36 +0100

ghostscript (9.50~dfsg-2) unstable; urgency=medium

  * Build-depend on libfreetype-dev (not libfreetype6-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2019 15:56:44 +0200

ghostscript (9.50~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2019 15:42:41 +0200

ghostscript (9.28~~rc4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.1.
  * Update symbols file: 1 private symbol added.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 10:58:26 +0200

ghostscript (9.28~~rc3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Fix tighten to build-depend on libjbig2dec0-dev
    new enough to provide pkg-config file
    (required since Ghostscript 9.28 rc1).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2019 17:15:43 +0200

ghostscript (9.28~~rc2~dfsg-2) unstable; urgency=medium

  * Mark ghostscript-doc as Multi-Arch: foreign.
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Simplify rules: Use autoreconf.
    Build-depend on dh-autoreconf (not explicitly autoconf).
  * Fix link with libjbig2dec
    by including pkg-config file with that package,
    needed by ghostscript 9.28.
    Update symbols file: 6 private symbols added,

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2019 05:13:48 +0200

ghostscript (9.28~~rc2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Update git-buildpackage config: Use dep14 git branch debian/master.
  * Unfuzz patch 2009,
    and extend to cover privacy leak in doc/Internal.htm.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Sep 2019 14:40:13 +0200

ghostscript (9.28~~rc1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Add NEWS entry about redefined option -dSAFER.
  * Drop obsolete upstream cherry-picked patches.
  * Unfuzz and update patches.
  * Update copyright info: Stop track a file no longer shipped upstream.
  * Update symbols:
    + 8 public symbols added.
    + 65 private symbols added.
    + 22 private symbols dropped.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2019 11:20:52 +0200

ghostscript (9.27~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload (with maintainers approval).
  * protect use of .forceput with executeonly (CVE-2019-10216)
    (Closes: #934638)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 13 Aug 2019 09:49:11 +0200

ghostscript (9.27~dfsg-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.0.
  * Symlink bas53 fonts from fonts-urw-base35.
    Build-depend on rename.
    (Build-)depend on fonts-urw-base35, and stop recommend gsfonts.
    Closes: Bug#613912, 932897.
    Thanks to Fabian Greffrath and Julian Wollrath.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 12:45:28 -0300

ghostscript (9.27~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix regression resolving bounding box of font glyphs.
    Closes: Bug#927429. Thanks to Kenshi Muto.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Apr 2019 10:16:50 +0200

ghostscript (9.27~dfsg-1) unstable; urgency=high

  [ upstream ]
  * New release.
    Closes: Bug#925256, 925257 (CVE-2019-3835, CVE-2019-3838).
    Thanks to Salvatore Bonaccorso.
  * Set urgency=high, due to CVE fix.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream now applied.
  * Unfuzz patches.
  * Build-depend versioned on libjbig2dec0-dev
    (not unversioned on libjbig2dec-dev).
  * Use dpkg-provided snippet
    (not additional explicit dpkg-parsechangelog call)
    to resolve when build is targeted experimental suite.
  * Revert to again split ABI at ~ (not a)."
  * Update copyright info: Extend coverage for main upstream author.
  * Update testsuite to catch new error message.
  * Update symbols:
    + 18 private symbols dropped.
    + 51 private symbols dropped.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2019 20:17:20 +0200

ghostscript (9.26a~dfsg-2) unstable; urgency=medium

  * Update symbols: 1 private added.
  * Add test to check that upstream bug 700317 is fixed,
    and a smoketest to check commanline options.
    Enable bugchecking and smoketest during build,
    and smoketest as autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2019 20:26:09 +0100

ghostscript (9.26a~dfsg-1) unstable; urgency=high

  [ upstream ]
  * New security release.
    (CVE-2019-6116).
  * Set urgency=high, due to CVE fix.

  [ Jonas Smedegaard ]
  * Consult DEB_BUILD_OPTIONS (not bogusly DEB_BUILD_PROFILES)
    to decide if build is a profile.
  * Declare compliance with Debian Policy 4.3.0.
  * New upstream version 9.26a~dfsg
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2019 12:47:56 +0100

ghostscript (9.26~dfsg-2) unstable; urgency=high

  * Add patches cherry-picked upstream
    to fix segfault with certain PDFs with -dLastPage=1.
    Closes: Bug#915832. Thanks to Salvatore Bonaccorso.
  * Set urgency=high as this is fixes regression in 9.26~dfsg-1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 14:38:38 +0100

ghostscript (9.26~dfsg-1) unstable; urgency=high

  [ upstream ]
  * New security and bugfix release.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream now applied.
  * Unfuzz patch 2009.
  * Set urgency=high due to high potential for security fixes
    (beyond those already included as cherry-picked patches).
  * Update symbols: 12 private added.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Nov 2018 10:27:59 +0100

ghostscript (9.25~dfsg-7) unstable; urgency=medium

  * drop obsolete preinst migrations.
  * Quote variables in package helper update-gsfontmap.
  * Fix typos in previous changelog entries.
  * Disable parallel building.
    Closes: Bug#912847. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Nov 2018 19:01:16 +0100

ghostscript (9.25~dfsg-6) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix cups get/put_params LeadingEdge logic.
    Closes: Bug#912664. Thanks to Salvatore Bonaccorso.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Nov 2018 19:24:03 +0100

ghostscript (9.25~dfsg-5) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix openjpeg segfault if size too large.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Nov 2018 14:08:45 +0100

ghostscript (9.25~dfsg-4) unstable; urgency=high

  * Re-release with urgency=high, due to CVE fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Oct 2018 09:45:03 +0200

ghostscript (9.25~dfsg-3) unstable; urgency=medium

  * Add patches cherry-picked upstream to fix execution issues.
    + Implement .currentoutputdevice operator
    + Change "executeonly" to throw typecheck on gstatetype and
      devicetype objects
    + Undefine some additional internal operators.
    + Fix handling of .needinput if used from interpreter
    + Ensure all errors are included from initialization
    + setundercolorremoval memory corruption
    + copydevice fails after stack device copies invalidated
    + add operand checking to .setnativefontmapbuilt
    + add object type check for AES key
    + Add parameter type checking on .bigstring
    + zparse_dsc_comments can crash with invalid dsc_state
    + Catch errors in setpagesize, .setpagesize and setpagedevice and
      cleanup
    + Catch errors and cleanup stack on statusdict page size definitions
    + Add parameter checking in setresolution
    + device subclass open_device call must return child code
    + fix DSC comment parsing in pdfwrite
    + Check all uses of dict_find* to ensure 0 return properly handled
    + permit Mod and CreDate pdfmarks in PDF 2.0 in pdfwrite
    + Avoid overrunning non terminated string buffer.
    + Prevent SEGV in gs_setdevice_no_erase.
    + Fix uninitialised value for render_cond.
    + Hide the .needinput operator
    + filenameforall calls bad iodev with insufficent scratch
    + Improve hiding of security critical custom operators
    + Prevent SEGV after calling gs_image_class_1_simple.
    + don't push userdict in preparation for Type 1 fonts
    + add control over hiding error handlers.
    + For hidden operators, pass a name object to error handler.
    + Explicitly exclude /unknownerror from the SAFERERRORLIST
    + don't include operator arrays in execstack output
    + Make .forceput unavailable from '.policyprocs' helper dictionary
    + .loadfontloop must be an operator
    + font parsing - prevent SEGV in .cffparse
    Closes: Bug#910678, #910758, #911175
    (CVE-2018-17961, CVE-2018-18073, CVE-2018-18284).
    Thanks to Salvatore Bonaccorso.
  * Unfuzz patches.
  * Declare compliance with Debian Policy 4.2.1.
  * Update symbols: 1 private added.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Oct 2018 00:11:32 +0200

ghostscript (9.25~dfsg-2) unstable; urgency=high

  * Add/correct bug-closures for previous releases 9.25~dfsg-1,
    9.25~dfsg-1~exp1, 9.24~~rc2~dfsg-1, 9.21~dfsg-1.
  * Set urgency=high due to recent CVE fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Sep 2018 14:18:15 +0200

ghostscript (9.25~dfsg-1) unstable; urgency=medium

  * Stop needlessly install symlinks handled upstream since ~9.05.
  * Tidy control file:
    + Wrap-and-sort.
    + Drop support for auto-resolving package relations or major version.
  * Update package relations:
    + Stop needlessly depend on debconf.
    + Stop build-depend on dh-buildinfo: Effectively unused.
    + Stop build-depend on libtrio: Unused upstream since 9.18.
  * Update copyright info:
    + Wrap-and-sort.
    + Extend coverage of Debian packaging. Drop unneeded copyrigh signs.
    + Fix files section licensed as AGPL-3+ (no longer GPL-3+).
    + Use semantic linefeeds.
  * Update symbols tracking:
    + Drop 19 private symbols.
    + Add 59 private symbols.
  * Add more bug-closures to previous release 9.25~dfsg-1~exp1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Sep 2018 12:30:33 +0200

ghostscript (9.25~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New bugfix release(s).
    Closes: #908300, #907493
    (CVE-2018-16802).
    Thanks to Salvatore Bonaccorso.

  * Update copyright info:
    + Stop exclude image containing non-DFSG ICC profile when
      repackaging upstream source: Fixed upstream.
    + Fix cover license FTL.
  * Set Rules-Requires-Root: no.
  * Update symbols:
    + Drop commented out obsolete symbols.
    + Flag as optional symbols not declared in public header files.
  * Avoid privacy breach linking documentation to jquery:
    + Add patch 2009 to use local jquery.
    + Add symlink from relative link to system-shared jquery library.
    + Have ghostscript-doc depend on libjs-jquery.
  * Avoid privacy breach linking documentation to font:
    + Avoid linking to remote fonts in documentation.
  * Avoid privacy breach linking documentation with Google:
    + Strip googletagmanager code from documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Sep 2018 18:39:11 +0200

ghostscript (9.24~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.
    Closes: Bug#907703, #908303, #908304, #908305
    (CVE-2018-15909, CVE-2018-16509, CVE-2018-16510, CVE-2018-16511,
    CVE-2018-16513, CVE-2018-16539, CVE-2018-16540, CVE-2018-16541,
    CVE-2018-16542, CVE-2018-16543, CVE-2018-16585).
    Thanks to Salvatore Bonaccorso.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exclude convenience code copy of lcms2mt (not lcms2) and image
      containing non-DFSG ICC profile when repackaging upstream source.
  * Update copyright-check maintainer script:
    + Extract metadata from png files.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend coverage for Adobe.
  * Drop patches cherry-picked upstream since applied.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Aug 2018 01:12:47 +0200

ghostscript (9.22~dfsg-3) unstable; urgency=high

  * Add patches cherry-picked upstream to fix execution issues:
    + Properly apply file permissions to .tempfile.
    + Don't just assume an object is a t_(a)struct.
    + Fix handling of pre-SAFER opened files.
    + Properly check return value when getting value from a dictionary.
    + Handle LockDistillerParams not being a boolean.
    + Fix shading_param incomplete type checking.
    + Ensure the correct is in place before cleanup.
    + Check the restore operand type.
    + Fix memory corruption in aesdecode.
    + Fix handle stack overflow during error handling.
    + Avoid sharing pointers between pdf14 compositors.
    + Improve restore robustness.
    + Hide the .shfill operator.
    Closes: Bug#907332 (CVE-2018-15908, CVE-2018-15910, CVE-2018-15911).
    Thanks to Nicolas Braud-Santoni.
  * Use package section optional (not extra).
  * Extend lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.2.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Aug 2018 00:05:05 +0200

ghostscript (9.22~dfsg-2) unstable; urgency=medium

  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 17:41:31 +0100

ghostscript (9.22~dfsg-1) unstable; urgency=medium

    Highlights:
    + Ghostscript can now consume and produce (via the pdfwrite device)
      PDF 2.0 compliant files.
    + The main focus of this release has been security and code
      cleanliness. Hence many AddressSanitizer, Valgrind and Coverity
      issues have been addressed.
    + The usual round of bug fixes, compatibility changes, and
      incremental improvements.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Update paths of files to strip from upstream source.
    + Stop strip ConvertUTF files when repackaging upstream source: No
      longer included upstream.
  * Update watch file: Use substitution strings.
  * Update package relations:
    + Relax to build-depend unversioned on liblcms2-dev d-shlibs cdbs:
      Needed versions satisfied even in oldstable
  * Tighten lintian overrides regarding License-Reference.
  * Use https protocol for upstream Homepage.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop patches applied upstream.
  * Unfuzz patches.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2017 17:13:06 +0200

ghostscript (9.21~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + pdfwrite preserves annotations from input PDFs where possible.
    + GhostXPS pass required data to pdfwrite to emit a ToUnicode CMap,
      resulting in fully searchable PDFs created from XPS in most cases.
    + Allow default color space for PDF transparency blends.
    + Improved support for cross-compiling in configure script.
    + tiffscaled and tiffscaled4 supports ETS (Even Tone Screening).
    + toolbin/pdf_info.ps utility emits PDF XML metadata.
    + New scan converter, more performant with large and complex paths.
    (CVE-2018-11645)

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
  * Avoid compressing pdf documentation.
  * Revive git-ignore file, lost importing NMUs.
  * Update watch file: Fix track releases (not tags).
  * Update copyright info:
    + Fix update main Files section to include all directory wildcards
      declared in root LICENSE file.
    + Stop track files no longer shipped upstream.
    + Add copyright holder Raph Levien.
    + Extend coverage for main upstream author.
    + Use https protocol in format string.
  * Update patches:
    + Drop patches applied upstream.
    + Normalize patch names.
    + Tidy DEP3 patch headers.
    + Add patch cherry-picked upstream to fix the shared openjpeg build.
    + Add patch cherry-picked upstream to fix shared lib build with
      openjpeg >= 2.1.1, replacing patch 1001.
  * Update package relations:
    + Relax build-dependency on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Relax symbols check when targeting experimental.
  * Update symbols: 16 dropped. 37 added.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 19:19:55 +0200

ghostscript (9.20~dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix regression introduced by CVE-2017-8291 fix.
    When using the "DELAYBIND" feature, it turns out that .eqproc can be
    called with parameters that are not both procedures. In this case, it
    turns out, the expectation is for the operator to return 'false', rather
    than throw an error. (Closes: #862779)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 May 2017 19:22:52 +0200

ghostscript (9.20~dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * -dSAFER bypass and remote command execution via a "/OutputFile  (%pipe%"
    substring (CVE-2017-8291) (Closes: #861295)
  * use the correct param list enumerator (CVE-2017-5951) (Closes: #859696)
  * fix crash with bad data supplied to makeimagedevice (CVE-2016-10220)
    (Closes: #859694)
  * Avoid divide by 0 in scan conversion code (CVE-2016-10219)
    (Closes: #859666)
  * Dont create new ctx when pdf14 device reenabled (CVE-2016-10217)
    (Closes: #859662)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Apr 2017 06:50:05 +0200

ghostscript (9.20~dfsg-3) unstable; urgency=medium

  * Fix NULL pointer dereference in mem_get_bits_rectangle().
    Closes: Bug#697676 (CVE-2017-7207). Thanks to Salvatore Bonaccorso.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Mar 2017 17:20:00 +0100

ghostscript (9.20~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to always print full PWG Raster
    bitmap.
    Closes: Bug#843095. Thanks to Brian Potkin.
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file: Use github pattern from documentation.
  * Update copyright info: Extend coverage of Debian packaging.
  * Git-ignore quilt .pc subdir.
  * Revert to not have git import-orig use merge-strategy replace.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 05:26:10 +0100

ghostscript (9.20~dfsg-1) unstable; urgency=medium

  * Fix spelling error in chengelog entry for 9.19~dfsg-3.1.
  * Adjust symbols (Fix version. Synv with experimental builds.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2016 03:21:17 +0100

ghostscript (9.20~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Avoid non-DFSG embedded code copy of ConvertUTF:
    + Avoid when repackaging.
    + Stop track ConvertUTF files in copyright file.
    + Add patches cherry-pricked upstream to improve Unicode handling in
      PDF files.
    Closes: Bug#823100. Thanks to Francesco Poli.
  * Update copyright info:
    + Tidy repackaging to only cover what is still shipped upstream.
    + Add Files and License sections for new file licensed as ISC.
  * Have git import-orig use merge-strategy replace.
  * Update patches:
    + Drop patches cherry-picked upstream and now applied.
    + Consistently apply cherry-picked upstream patches first.
    + Unfuzz patches.
  * Stop build static library (seemingly no longer supported with
    upstream makefiles).
  * Update symbols file (92 missing).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Nov 2016 16:07:47 +0100

ghostscript (9.19~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2013-5653: Information disclosure through getenv, filenameforall
    (Closes: #839118)
  * CVE-2016-7976: Various userparams allow %pipe% in paths, allowing remote
    shell command execution (Closes: #839260)
  * CVE-2016-7977: .libfile doesn't check PermitFileReading array, allowing
    remote file disclosure (Closes: #839841)
  * CVE-2016-7978: reference leak in .setdevice allows use-after-free and
    remote code execution (Closes: #839845)
  * CVE-2016-7979: type confusion in .initialize_dsc_parser allows remote code
    execution (Closes: #839846)
  * CVE-2016-8602: check for sufficient params in .sethalftone5 and param
    types (Closes: #840451)
  * Add 840691-Fix-.locksafe.patch patch.
    Fixes regression seen with zathura and evince. Fix .locksafe. We need to
    .forceput the definition of getenv into systemdict.
    Thanks to Edgar Fuß <ef@math.uni-bonn.de>

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Oct 2016 13:25:52 +0200

ghostscript (9.19~dfsg-3) unstable; urgency=medium

  * Avoid merging same-licensed sections in copyright_hints.
  * Fix typo in old changelog entry.
  * Skip copyright-check of non-metadata-parseable binary files.
  * Update copyright info:
    + Fix licensing of a few drivers to be GPL-2+.
    + Fix licensing of a base files to be FTL.
    + Update source URL.
  * Update watch file:
    + Fix handle prereleases.
    + Use Github URL (but not common pattern: default tarball is bogus).
    + Mention gpb --uscan in usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Have library and headers support multi-arch.
    Closes: Bug#770266. Thanks to Andreas Beckmann, Till Kamppeter and
    Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Sep 2016 12:08:56 +0200

ghostscript (9.19~dfsg-2) unstable; urgency=medium

  * Modernize cdbs use. Tighten build-dependency on cdbs.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file: Fix avoid use of uupdate (unneeded with gbp).
  * Build-depend on licensecheck (not devscripts).
  * Add patch 1001 to fix a FTBFS against libopenjp2-7 2.1.1 and newer.
    Closes: Bug#832873.
    Thanks to Didier 'OdyX' Raboud.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Aug 2016 14:09:12 +0200

ghostscript (9.19~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + New custom PJL (near) equivalents for pdfmark and
      setdistillerparams.
    + Metadata pdfmark implemented.
    + Add experimental, rudimentary raster trapping implementation.
    + Improved halftone threshold array generation tools.
    Other changes relevant for Debian:
    + copy_alpha now supports 8 bit depth (as well as 2 and 4).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Update upstream source URL.
    + Add repacksuffix hint.
    + Use uversionmangle (not dversionmangle) to adjust prereleases.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update copyright info:
    + Update source URL.
    + Expand reasons for repackaging.
  * Add patch cherry-picked upstream to have configure support
    --without-pcl and --without-xps.
  * Configure --without-pcl (instead of moving aside pcl dir during
    build).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Mar 2016 18:19:43 +0100

ghostscript (9.19~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New pre-release.

  [ Jonas Smedegaard ]
  * Update upstream tarball repackaging:
    + Stop strip ramfs code: Licensing issue resolved.
      Drop related patch 2009.
    + Stop strip ETS halftone code: Patent-encumbered yet believed to be
      DFSG-free.
    + Improve comments.
    + Strip non-DFSG fonts.
    + Strip convenience code copies cmpi Acrobat2Tiff.
    + Strip non-free PCL/PX3/XPS data files.
  * Switch to track GhostPDL (the larger project of which Ghostscript is
    a subset).
    Avoid building PCL writer for now: Fails with system-shared libjpeg.
  * Ignore tiger.xps and XLS files from copyright check.
  * Imported Upstream version 9.19rc1~dfsg
  * Update upstream-tarball hints for current upstream source.
  * Drop patches now applied upstream.
  * Unfuzz patches 2007 2010.
  * Update copyright info:
    + Update License-Grant of main Files section.
      Add comment on its non-default location.
    + Extend coverage for main upstream author.
  * Use CDBS to put aside cruft during build.
    Tighten to build-depend versioned on cdbs.
  * Update symbols file (9 missing).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Mar 2016 22:55:30 +0100

ghostscript (9.18~dfsg-4) unstable; urgency=medium

  * Really mark leaked png symbol as optional (not simply remove it, as
    it may then silently reappear as happened with 2.18~dfsg release).
    Closes: bug#809939. Thanks to Tobias Frost.
  * Add patch cherry-picked upstream to fix xpswrite/gprf builds with
    shared zlib (replacing patch 1002).
  * Add patch cherry-picked upstream to fix add gserrors.h to the
    installed files for the so-install target.
    Closes: Bug#814882. Thanks to Jean-Luc Coulon.
  * Recommend fonts-droid-fallback (not fonts-droid now dropped).
    Closes: Bug#804684. Thanks to Daniel Serpell.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Feb 2016 20:59:55 +0100

ghostscript (9.18~dfsg-3) unstable; urgency=medium

  * Fix use space (not comma) as arch delimiter in symbols file.
    Thanks to John Paul Adrian Glaubitz

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Feb 2016 16:53:25 +0100

ghostscript (9.18~dfsg-2) unstable; urgency=medium

  * Update symbols file:
    + Drop hdr_id for sparc and sparc64 since 2.16~dfsg.
      Closes: Bug#814702. Thanks to John Paul Adrian Glaubitz.
    + Update list of confirmed archs.
  * Release for unstable, despite symbols changes: None of the dropped
    symbols are mentioned in any Debian code except ghostscript itself
    (according to codesearch.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Feb 2016 15:46:02 +0100

ghostscript (9.18~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release 9.18,
    Highlights:
    + Integrate GhostPDL build routines into Ghsotscript.
    + New technique of "device subclassing".  Consistent -dFirstPage and
      -dLastPage filters implemented using that technique.
    + Digitally signed binaries for Windows.
    Other changes relevant for Debian:
    + Reintroduces tiffscaled* devices.
      Closes: bug#786967. Thanks to Marc Lehmann.

  [ Jonas Smedegaard ]
  * Update watch file to mangle release candidates.
  * Update copyright info:
    + Extend coverage of Debian packaging.
    + Add Files section for a few Apache-licensed files.
    + Adjust for a few renamed files.
    + Clarify reasons for source tarball repackaging.
  * Drop uptream cherry-picked patch since applied.
  * Unfuzz all patches.
  * Add patches cherry-picked upstream to fix handle IJS and X11 as
    subclassed devices.
    Thanks to Till Kamppeter.
  * Update patch 2009.
  * Extend patch 1002 to fix shared zlib linkage for gprf (not only
    xps).
  * Add patches cherry-picked upstream to fix makefiles and to implement
    -dTIFFDateTime=false option.
    Thanks to Damian Dimmich.
  * Declare compliance with Debian Policy 3.9.7.
  * Mark libgs9-common as multi-arch foreign.
    Closes:Bug#794527. Thanks to Helmuth Grohne.
  * Acknowledge release 9.16~dfsg-2.1.
    Thanks to Tobias Frost.
  * Add patch 1003 to fix document ps2pdf -dCompatibilityLevel option.
    Closes: bug#799836. Thanks to Trent W. Buck.
  * Update package relations:
    + Build-depend on libopenjp2-7-dev (not libopenjpeg-dev).
    + Relax to recommend (not depend on) gsfonts.
      Closes: bug#812088. Thanks to IOhannes m zmölnig.
  * Modernize Vcs-* fields: Use https protocol and cgit.
  * Track symbols in one single file.
  * Update symbols file for amd64 architecture.
  * Add patch 1001 to fix openjpeg linkage.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Feb 2016 10:17:32 +0100

ghostscript (9.16~dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove leaked png_push_fill_buffer symbol from symbol files
    to build with libpng1.6 (Closes: #809939)

 -- Tobias Frost <tobi@debian.org>  Wed, 27 Jan 2016 19:39:05 +0100

ghostscript (9.16~dfsg-2) unstable; urgency=medium

  * Fix lintian overrides.
  * Bump debhelper compatibility level to 9.
  * Suppress lintian warning about build-depending unversioned on
    debhelper.
  * Enable support for parallel building.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Aug 2015 19:05:30 +0200

ghostscript (9.16~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release 9.07.
    Highlights:
    + Add -dLockColorants option for tiffsep and psdcmyk devices.
    + Improved high level devices handling of Forms.
    + Update URW+ Nimbus* fonts, adding Greek and Cyrillic glyphs.

  [ Jonas Smedegaard ]
  * Add patch 2010 to allow the build timestamp to be externally set.
    Closes: Bug#794004. Thanks to Peter De Wachter and Eduard Sanou.
  * Update copyright info:
    + Extend coverage for main upstream authors to include current year.
  * Add patch 1002 to fix have devxps link against shared zlib.
  * Unfuzz patches.
  * Update symbols file (30 new).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Jul 2015 23:00:24 +0200

ghostscript (9.15~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release 9.07.
    Highlights:
    + Licensing changed to GNU Affero General Public License (AGPL).
    + Ghostscript now has the option to be built as thread safe.
    + The pdfwrite devices now supports linearized (or optimized for
      fast web view) output directly.
    + Supports Postscript string and array objects with >64k entries.
    + Supports file sizes >4Gb - in particular reading and writing PDF
      files, and as side effect supports 64 bit Postscript integer
      objects.
    + All CMYK devices supports simulated overprint of spot colors.
    + Support for use of DeviceN ICC color profiles as the output
      profile with the tiffsep and psdcmyk devices.
    + Support for customized named color handling with DeviceN colors.
    + Support for black point compensation.
    + Support for K preservation in CMYK to CMYK conversions.
    + Support for DeviceLink profiles for graphic, image and text
      objects.
    + Support for custom color replacement.
    + Increased control in specifying color conversions as a function of
      object type.
    + Provide BigTIFF output option, when linked against recent libtiff.
    + LittleCMS updated to 2.4 [Debian instead links to shared lib].
      Closes: bug#531624. Thanks to Moritz Muehlenhoff and Bastien
      Roucaries.
  * New releases 9.09 and 9.10.
    Highlights:
    + New Background printing (BGPrint) feature to speedup processing of
      certain classes of files.
    + New GrayDetection feature to detect and convert nearly-grey color
      input to grayscale for some drivers.
    + Misc. improvements for Windows environments.
    + Updated URW Postscript font set, fixing compatibility problems
      with the Adobe fonts [Debian uses separately packaged fonts].
  * New release 9.14.
    Highlights:
    + pdfwrite now uses same color management as for rendering devices.
    + New device 'eps2write' to create EPS files using ps2write.
    + Support customisation of output for specific devices.
    + Reduced memory usage processing PDF with transparency to either
      display device or high level vector non-transparency devices like
      ps2write or pdfwrite when 'flattening' to PDF 1.3 or earlier.
    + New --saved-page option to spool and render in arbitrary order.
    + Improved performance by more extensive use of multiple threads.
    + New device 'pwgraster' to render for PWG Raster output.
    + CUPS device improved support for PPD-less printing.
  * New release 9.15.
    Highlights:
    + Support for PDF security handler revision 6.
    + New -dNoOutputFonts for pdfwrite and ps2write (and related).
    + New PostScript pageneutralcolor state to resolve color/grayscale.
    + pdfwrite device supports Link annotations.
    + pdfwrite device supports BMC/BDC/EMC pdfmarks.
    + New LCMS2-based color management also applies to PDF/A-1 output.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage a few places to include recent years.
    + Change main license to "AGPL-3+~Artifex".
    + Update main fonts to author "(URW)++" and license
      "AGPL-3+~Artifex with font exception".
    + Extend coverage for packaging, and relicense as GPL-3+.
    + Drop Files section for documentation files not shipped since 9.05.
    + Fix include verbatim exceptions in license section (not comment).
    + Only comment on (not formally declare) unused AFPL license.
    + Merge bogus dual-licensing of (two wording of) LGPL-2.1+.
    + Drop Files sections for excluded autotools files.
    + Fix stop bogusly list as specially licensed the files
      examples/waterfal.ps contrib/japanese/doc/gdevdmpr.txt
      toolbin/localcluster/dashboard.html.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Use license short-name public-domain.
  * Update repackaging:
    + Strip convenience library trio from upstream source.
    + Strip DFSG-nonfree ETS halftone code from upstream source.
    + Strip example code lacking license.
    + Strip contributed documentation possibly lacking license.
    + Strip from repackaged upstream tarball ramfs code lacking license
      according to <https://www.ghostscript.com/irclogs/2014/05/05.html>.
    + Stop strip jasper project: not shipped since 9.07.
    + Reflect files moved from base/ to devices/.
    + Stop documenting CUPS filters dropped since 9.09.
  * Update patches:
    + Drop cherry-picked patches now included with upstream release.
    + Add patch cherry-picked upstream to sanity check for memory
      allocation.
      Closes: Bug#793489 (CVE-2015-3228). Thanks to Raphael Hertzog.
    + Add patch 2009 to not link against stripped ramfs code.
    + Unfuzz all patches.
  * Update package relations:
    + Build-depend on recent libopenjpeg-dev (not libjasper-dev):
      Support for JasPer has been dropped upstream.
    + Tighten build-dependency on liblcms2-dev: We need threads support.
    + Build-depend on libtrio-dev.
    + Tighten to build-depend on d-shlibs handling libtrio quirk.
    + Relax to build-depend unversioned on libopenjpeg-dev: Needed
      version satisified even in oldstable.
    + Relax to depend unversioned on poppler-data, and drop
      fallback-dependency on gs-cjk-resource: Needed version satisified
      even in oldstable.
    + Drop bogus/ancient fallback-build-dependency on libglut-dev.
  * Add d-shlibmove override for libtrio.
  * Add news entry about licensing change to AGPL.
    Thanks to Jonathan Nieder.
  * Update symbols file (208 new, 70 dropped).
  * Temporarily adjust source URLs for upstream pre-release.
  * Have license-check skip main HTML documentation.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Jul 2015 17:34:11 +0200

ghostscript (9.06~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked from Ghostscript 9.14 (AGPL) to fix /typecheck error
    in /findfont. Mention the explicit agreement to include that patch in a GPL
    Ghostscript in the patch description from the original author.
    (Closes: #732440)
  * Ack NMU, thanks!

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Jan 2015 15:49:21 +0100

ghostscript (9.06~dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Symbols file: add mips64 and mips64el to 64bit list;
     mips64el and mipsn32el to le arch list to file. (Closes: 727179)

 -- YunQiang Su <syq@debian.org>  Tue, 14 Oct 2014 16:25:54 +0800

ghostscript (9.06~dfsg-1) unstable; urgency=medium

  * Team upload

  [ upstream ]
  * New release.
    Highlights:
    + PDF/A-2 - pdfwrite now supports the creation of PDF/A-2 files.
    + pdfwrite "Server mode" - pdfwrite can now be run in "server mode".
    + pdfwrite now supports the "%d" format in the OutputFile switch.
    + ps2write now emits PostScript in slightly different ways in order
      to produce output on a wider variety of devices.
    + Ghostscript can now use output intents defined in PDFs.
    + tiffsep/tiffsep1: support for large numbers of separations
      improved.
    + tiffsep, psdcmyk and psdrgb now support the "downscaler"
      functionality.
    + clist storage, for rendering pages in bands, is now a run-time
      option.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix merge some Files entries.
    + Tidy copyright holders to match new upstream release.
    + List upstream develpment mailinglist as preferred upstream
      contact.
  * Update repackaging:
    + Strip icclib.
      Drop corresponding entries in copyright file.
      Drop patch for CVE-2012-4405.
    + Stop strip CMap file Identity-UTF16-H: Explicitly declared in
      LICENSE (with a double negative) as GPL-3+~Artifex licensed.
    + Stop strip CMap files: not shipped since 9.06.
  * Drop patches 0* now included upstream and 1* adopted upstream.
  * Unfuzz all patches, and update patch 2003.
  * Update package relations:
    + Build-depend on recent libopenjpeg-dev (not libjasper-dev):
      JasPer support deprecated (will be dropped in 9.07).
    + Build-depend on libregexp-assemble-perl, libfont-ttf-perl and
      libimage-exiftool-perl: Needed for extracting metadata from ICC,
      PDF, and fonts.
    + Stop build-depending on liblcms1-dev: icc34.h now included
      upstream (outside of the convenience code copy of lcms1 project).
      Closes: Bug#745529. Thanks to Moritz Muehlenhoff.
    + Stop build-depending on libdbus-1-dev: CUPS filters no longer
      built.
    + Stop suggesting hpijs: Correct would be for said package (or
      rather its successor printer-driver-hpijs - or any add-on driver)
      to declare "Enhances: ghostscript" instead.
  * Disable broken omni driver.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Add patch 1001 to document inkcov device.
  * Extract metadata from ICC, PDF, and truetype files before copyright
    check.
  * Stop building CUPS filters, and drop binary package
    ghostscript-cups: Ghostscript-based CUPS filters obsolete (will be
    dropped upstream in 9.09).
    Closes: bug#735612. Thanks to Adrian Bunk and Didier 'OdyX' Raboud.
  * Avoid building CUPS driver or checking symbols file when
    bootstrapping an architecture.
    Closes: bug#717827. Thanks to Matthias Klose and Daniel Schepler.
  * Update Vcs-* fields: Packaging git moved to printing area of Alioth.
  * Stop explicitly xz-compressing binary packages: Done by default now.
  * Fix avoid hardcoded (and broken, by now) ABI in fallback font path.
  * Document in README.Debian linkage against unpatched OpenJPEG (i.e.
    lacking JPEG2000 color calibration) in README.Debian.
  * Move ICC profiles to shared dir, to allow reuse by others.
  * Bump standards-version to 3.9.5.
  * Update symbols file (79 new, 29 dropped).
  * Add patch cherry-picked upstream, to avoid icclib.
    Closes: Bug#531624. Thanks to Moritz Muehlenhoff.

  [ Didier Raboud ]
  * Add libjasper-dev as Build-Depend, let the two symbols back in
  * Ack NMU, thanks!

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Aug 2014 19:08:41 -0700

ghostscript (9.05~dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ppc64el to symbols file. Closes: #751917

 -- Andreas Barth <aba@ayous.org>  Sun, 17 Aug 2014 10:03:39 +0000

ghostscript (9.05~dfsg-9) unstable; urgency=medium

  * Update my email address.
  * Build against lcms2 (closes: #745529).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 08 Aug 2014 00:59:38 +0000

ghostscript (9.05~dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add arm64 to symbols file. Thanks to Matthias Klose (Closes: #717826)
  * Fix gs/ps typo in clean target preventing rebuilds (Closes: #733018)

 -- Wookey <wookey@debian.org>  Mon, 07 Apr 2014 02:37:59 +0000

ghostscript (9.05~dfsg-8) unstable; urgency=medium

  * Add patches to fix endless loops related to unbalanced q/Q
    operators.
    Closes: bug#714247. Thanks to Paul Wise.
  * Add patch to fix apply colord icc profile to ghostscript-cups
    (deliberately skipping related patch for calibration prints not
    applying to Ghostscript 9.05).
    Closes: bug#712045. Thanks to Alexey Galakhov.
  * Add patch to fix encode pdf metadata in compliance with pdf
    standard. Closes: bug#694067. Thanks to Paul Menzel.
  * Set urgency=medium: bug#714247 causes remote denial-of-service.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Jul 2013 15:57:57 +0200

ghostscript (9.05~dfsg-7) experimental; urgency=low

  * Clarify consequences of linking against shared libjpeg (i.e. not
    setting custom D_MAX_BLOCKS_IN_MCU).
    Closes: bug#582522. Thanks to Bastien ROUCARIÈS.
  * Bump debhelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
    + Tidy move Apache license to License section.
  * Add patch 7319a6d cherry-picked upstream and local patches
    2004-2008, to improve documentation.
    Closes: bug#291765, #618361, #618494. Thanks to Dan Jacobson and
    Bastien ROUCARIÈS.
  * Tidy patches: Unfuzz, improve DEP3 headers, and normalize filenames.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs, libcups2-dev and
      libcupsimage2-dev, and depend unversioned on ghostscript and
      gsfonts: Needed versions satisfied in stable, and oldstable no
      longer supported.
    + Stop build-depending on debianutils: Needed version satisfied in
      stable, oldstable no longer supported, and since package is
      essential an unversioned dependency is superfluous.
    + Drop pre-Squeeze transitions.
    + Declare Breaks in rules file.
    + Fix typo in ghostscript-dbg dependency.
      Thanks to Siri Reiter.
  * Rewrite README.source:
    + Shrink to a reference to wiki page.
    + Explicitly mention that NMUs can safely ignore control.in.
    + Add section on Low-threshold NMUs.
  * Bump standards-version to 3.9.4.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Feb 2013 23:07:24 +0100

ghostscript (9.05~dfsg-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Replace the PPD-updater postinst by CUPS' trigger (Closes: #520753)
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Add patch from upstream bug #693208 to improve error feedback (when
    we can). (Closes: #682407)

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Nov 2012 14:39:30 +0100

ghostscript (9.05~dfsg-6.2) unstable; urgency=medium

  * Check for the existence of /etc/cups/ppd in ghostscript-cups.postinst
    (closes: #520753)
    - Patch thanks to Bastien Roucaries.
  * Remove /etc/gs-gpl files that may have been left around during the
    etch to lenny upgrade (closes: #475873)
    - Patch thanks to Didier Raboud.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Oct 2012 05:46:49 -0400

ghostscript (9.05~dfsg-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply security patch for CVE-2012-4405 (Closes: #687274): error out if
    inputChan is strictly less than 1 in icmLut_read(), thanks to Nico
    Golde for the pointers.
  * Enable xz compression for all binaries (Closes: #687300).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 22 Sep 2012 01:18:12 +0200

ghostscript (9.05~dfsg-6) unstable; urgency=low

  * Fix symlink to DroidSans.
    Closes: bug#661764. Thanks to Ian Zimmerman.
  * Have libgs9 depend on recent poppler-data favored over
    gs-cjk-resource.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 20:02:18 +0200

ghostscript (9.05~dfsg-5) unstable; urgency=low

  * Add patch from upstream to fix endian issue with lcms2 i/face.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Apr 2012 12:32:47 +0200

ghostscript (9.05~dfsg-4) unstable; urgency=low

  * Add patch from upstream to workaround Brother printer CCITTFaxDecode
    bugs.
    Closes: bug#664966. Thanks to Vincent Bernat.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Double-indent in Files-Excluded field.
    + Newline-delimit a Files list.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Mar 2012 22:02:29 +0100

ghostscript (9.05~dfsg-3) unstable; urgency=low

  * Bump standards-version to 3.9.3.
  * Bump copyright file format to 1.0.
  * Document use of fonts-droid in README.Debian and long description of
    libgs9-common.
    See bug#661764. Thanks to Ian Zimmerman and Jonathan Nieder.
  * Add patch from upstream VCS to not hack the libjpeg mem manager.
    Closes: bug#653061. Thanks to Chris Liddell and others.
  * Update copyright file:
    + Fix double-indent successive copyright lines in copyright file, as
      required for "formatted text" fields.
    + Drop duplicate copyright holder.
  * Update symbols file.
  * Stop explicitly and unconditionally appending -fPIC to CFLAGS:
    Better handled upstream for some time now.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 13:46:38 +0100

ghostscript (9.05~dfsg-2) unstable; urgency=low

  * Recommend fonts-droid (not ship DroidSansFallback.ttf).
  * Avoid ghostscript-x maintainer scripts invoking ldconfig.
  * Add patch 1001 to fix typo in german manpage.
  * Unfuzz and enable patch 1002 (mostly cosmetic, to have it appear at
    http://patch-tracker.debian.org/).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Feb 2012 15:48:23 +0100

ghostscript (9.05~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Improve Copyright shortnames:
      - BSD → BSD-3-Clause
      - MIT~Open → NTP~Open
      - MIT~WSU → NTP~WSU
      - MIT~Lucent → NTP~Lucent
      - other-Adobe → BSD-3-Clause~Adobe
    + Fix merge double Files-Excluded, and list globbing before specific
      files.
    + Quote licenses in Comment fields.
    + Drop duplicate Comment fields.
    + Fix refer to license shortname AFPL~AFPL (not AFPL).
    + Extend copyright years.
    + Add new Files section, Apache-2.0 licensed (TrueType file, not
      linked code so not challenging GPL).
    + Drop a few Files sections and a License section.
  * strip convenience library openjpeg from upstream source.
  * Imported Upstream version 9.05~dfsg
  * Drop patches 020110819 and 1001, applied upstream.
  * Explicitly disable use of openjpeg: Now preferred if available but
    requires patching for ICC and CMYK support.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Feb 2012 19:27:35 +0100

ghostscript (9.04~dfsg-3) unstable; urgency=low

  [ Steve Langasek ]
  * Mark ghostscript Multi-Arch: foreign, so that the package manager knows
    the package satisfies dependencies and build-dependencies of packages
    regardless of architecture.
  * Drop gs-gpl package: it was already a transitional package in lenny,
    and html2ps in squeeze is the last package to recommend it (nothing in
    wheezy references it).
  * Eliminate the gs provides; nothing in squeeze or wheezy references it.
  * Drop gs-common package: it was also transitional from lenny on, and
    latexmk in wheezy is the last package to reference it as a Suggests
    only.
    Closes: bug#646870. Thanks to Jakub Wilk and Didier Raboud.

  [ Jonas Smedegaard ]
  * Update copyright file: Fix add missing copyright paragraph.
    Thanks to lintian.
  * Drop transitional Replaces: affecting only testing.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Nov 2011 13:01:31 +0700

ghostscript (9.04~dfsg-2) unstable; urgency=low

  * Update copyright file:
    + Fix add dot in horisontal space of license MIT~Lucent.
      Thanks to lintian.
  * Suppress bogus d-shlibs resolving of ld1-dev: Fixes FTBFS.
    Thanks to Pino Toscano.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Oct 2011 00:20:56 +0200

ghostscript (9.04~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#597833. Thanks to Till Kamppeter and Kurt Roeckx.
  * Exclude lcms2 from repackaged source.
  * Update patches:
    + Drop patches cherry-picked from upstream Git: Applied upstream
      now.
    + Unfuzz patch 2001.
    + Add patch cherry-picked upstream to add sys/time.h definition
      only once.
    + Add patch 1001 to autoconfigure choice of CMS in use (not hardcode
      to lcms 1.x).
    + Add patch 1002 to fix a few comment typos in CMS-related
      makefiles.
    + Add patch 2003 to include multiarch paths, fixing FTBFS.
      Closes: bug#639073. Thanks to Philippe Le Brouster.
  * Fix FTBFS on s390: Adjust symbols file.
    Closes: bug#636546. Thanks to Aurelien Jarno.
  * Link against lcms2 (not lcms1).
    Regenerate autoconf during build (needed for patch 1001).
    Build-depend on autoconf.
    Build-depend on liblcms1-dev (in addition to liblcms2-dev): Provides
    needed icc34.h header.
  * Let CUPS rasterizer link against D-Bus. Build-depend on
    libdbus-1-dev, and recommend colord.
  * Improve ghostscript-cups postinst:
    + Limit lp* commands to localhost to avoid hanging. See bug#543468.
      Thanks to Till Kamppeter.
    + Trap non-numeric signals, and also ILL and ABRT (not only HUP INT
      QUIT PIPE TERM).
      Thanks to Till Kamppeter.
  * Improve ghostscript preinst:
    + Purge obsolete defoma cruft to silence warnings.
      Thanks to Till Kamppeter.
  * Silence iccprofiles and example PDFs from copyright tracking.
  * Include configure flag --with-install-cups.
  * Update package relations:
    + Relax build-dependency on cdbs (unneededly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
  * Fix (really really this time) drop cidfmap in Init dir if virtually
    empty.
    Closes: bug#531182, #618354. Thanks to Youhei SASAKI and Mitsuya
    Shibata.
  * Update symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Oct 2011 15:42:48 +0200

ghostscript (9.02~dfsg-3) unstable; urgency=low

  * Tighten build-dependency on d-shlibs and drop overrides.
    Closes: bug#629967, thanks to Bill Allombert.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Jul 2011 22:52:03 +0200

ghostscript (9.02~dfsg-2) unstable; urgency=low

  * Cherry-pick upstream fixes for severe bugs.
    + Fix for x11alpha device when the source file has transparency.
      Closes: bug#567673. Thanks to Markus Steinborn.
    + Fix segfault with -dDOINTERPOLATE.
    + Fix crashing bug in PostScript colour handling.
    + Fix potential SEGV ICC-parsing e.g. Photoshop CMYK EPS.
    + Fix crash in tiffsep device when COMPILE_INITS=0.
  * Update copyright file:
    + Separate non-verbatim part of License fields into Comment fields.
    + Strip Files section for no longer included m4 files, and
      corresponding License section.
    + Fix list exceptions as such (not as or'ed licenses).
    + Fix license section lgpl-2.1+ to use verbatim text, and properly
      refer to 'Lesser' (not 'Library').
    + Fix use separate License sections for variations, to obey Policy
      requirement of including the texts verbatim.
    + Rename license shortnames using ~ to indicate derived-from-common.
    + Fix state 'None' as copyright for a PD (non-)license.
    + Fix license section comments for LGPL-2.1+ to refer to LGPL at FSF
      address (not GPL).
    + Rewrap license fields at 72 chars, and shorten comments.
    + Fix and tidy references to AFPL licenses.
    + Add a bunch of newly examined copyright holders and (mostly GPL
      and MIT-derived) licenses.
    + Bump format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2011 02:02:43 +0200

ghostscript (9.02~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#620970. Thanks to Daniel Baumann.
    + Fixes crash in CUPS driver.
      Closes: bug#615202.

  [ Jonas Smedegaard ]
  * Set libgs-dev to priority optional (not extra) to match override
    file.
  * Fix have libgs* depend on lib*-common, source-versioned to ensure
    sanity while allow binNMUs. Thanks to Niels Thykier.
  * Drop obsolete lintian overrides.
  * Fix stop stripping convenience library icclib from upstream source:
    Linkage against shared system library was not applied and is not yet
    working.
  * Update upstream download URL.  Tidy note on DFSG repackaging copyright file.
  * Drop patches 0001 and 1001: Applied upstream.
  * Update copyright file:
    + (Re)add licensing of icclib.
    + Fix treat SunSoft part as exception (not separate license).
    + Reorder Files sections to match hints file.
    + Add new owners.
  * Update symbols files.

  [ Didier Raboud ]
  * Add a -dbg package.
    Closes: #616024.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Apr 2011 06:56:28 +0200

ghostscript (9.01~dfsg-2) unstable; urgency=low

  * Really have ghostscript-cups and libgs9-common replace older
    ghostscript.
    Closes: bug#614729. Thanks to Colin Watson.
  * Add patch 0001 to fix bus error on sparc.
    Closes: bug#613642. Thanks to Julien Cristau, Chris Liddell and
    others.
  * Update copyright file: Extend a year.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2011 00:08:29 +0100

ghostscript (9.01~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Drop cherry-picked and adopted patches.
      Thanks to Till Kamppeter!
  * Enable new FAPI (Freetype-based font rasterizer).
    Build-depend on libfreetype6-dev.
  * Strip additional libraries from repackaged source:
    + cups/libs: unneeded convenience library.
    + jpeg: convenience library used for broken JPEG (see bug#582521).
    + jpegxr: patented controversial JPEG XR convenience library.
  * Stop custom-handling upstream-shipped patch noise or autotools
    files: Properly shipped upstream now.
    Stop build-depending on autotools-dev or autoconf.
  * Update copyright file:
    + Extend copyright years.
    + Drop notes on no longer shipped jpeg files.
  * Update README.Debian:
    + Drop mentioning old merge of gs-gpl, gs-esp, and gs-common.
    + Drop note on files stripped from repackaged source: More accurate
      list provided in README.source for some time now.
    + Refer to bug#582521 regarding use of shared JPEG library.
    + Drop section on no longer used DeFoMa.
    + Fix Project name, and update trailing timestamp and author.
  * Fix move empty-cidfmap safety-check after binary-install targets.
  * Add patch 1001 to fix hashbang of cidfmap file: accidentally garbled
    upstream.
  * Update symbols file.
  * Fix build-depend on libijs-dev, to get back IJS support accidentally
    removed since 9.00~dfsg-1.  Add libijs quirk to d-shlibs invocation.
  * Build-depend on libidn11-dev, to support Unicode passwords.
  * Drop no longer needed configure option --disable-cairo.
  * Override lintian false positive: libgsN != libgsN-common.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Feb 2011 22:22:40 +0100

ghostscript (9.00~dfsg-4) experimental; urgency=low

  * Fix have libgs9 depend on libgs9-common.
  * Fix drop libgs9-common superfluously breaking ghostscript.
    Thanks to Jonathan Nieder.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jan 2011 01:53:27 +0100

ghostscript (9.00~dfsg-3) experimental; urgency=low

  * Lower Priority of libgs-dev to extra: Depends on similarly
    prioritized comerr-dev and libkrb5-dev.
  * Fix install arch-independent files in new -common package and have
    library package depend on it: they are needed by library calls (not
    only by executables):
    + Install /usr/share/ghostscript/* into libgs9-common.
    + Install empty dir var/lib/ghostscript/CMap into libgs9-common (as
      well as into ghostscript where install scripts depend on it) as it
      is used by symlink.
    + Have libgs9 depend on libgs9-common.
    + Have libgs9-common break and replace older ghostscript.
    Closes: bug#485621, thanks to Tom Parker and others.
  * Drop obsolete quirks:
    + Drop transitional package gs-esp.
    + Drop virtual packages gs-esp gs-afpl libgs-esp-dev.
    + Drop conflicts/replaces/depends for gs-gpl gs-esp gs-cjk-resource
      gs-common libgs-esp-dev.
    Closes: bug#539754, thanks to Sven Joachim.
  * Package now team-maintained:
    + Set Debian Printing Team as author.
    + Set myself and Add Michael Gilbert as uploaders. Welcome, Michael!
    + Drop Masayuki Hatta and Torsten Landschoff as uploaders,
      reflecting the sad reality of them going silent. Thanks for past
      contributions, and feel free to join back later!
  * Newline-delimit package releations in control file.
  * Fix have ghostscript suggest ghostscript-x ghostscript-cups and
    hpijs, and have ghostscript-doc suggest ghostscript.
  * Rewrite short descriptions using upstream tagline. Various
    improvements to long descriptions.
  * Rewrite copyright file using Subversion candidate draft r166 of
    DEP5.
  * Update copyright-check suppression for newer CDBS.
  * Tighten build-dependency on cdbs to versions properly handling
    debhelper compat level 7.
  * Have libgs9 depend on gs-cjk-resource.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jan 2011 23:39:05 +0100

ghostscript (9.00~dfsg-2) experimental; urgency=low

  * Drop explicitly installing below debian/tmp: Done by default with
    debhelper 7.
  * Skip fonts from copyright-check.
  * Add patches cherry-picked from upstream SVN:
    + 011719: Colour converting SMask images loses images
    + 011744: Don't dereference mask colour spaces (avoids crash)
    + 011785: Memory leak freeing pattern cache with transparency buffer
    + 011808: Fix crashes in gx_alloc_char_bits
    + 011846: Fix r11785 double decrements causing warnings and crashes
    + 011870: Loss of embedded icc profile when matching default profile
    + 011884: Fix crash on bad filename for ICC profile
    + 011891: Fix tighten ICC profile path handling
  * Disable use of Freetype (FAPI) for font rendering (not yet stable).
    Stop build-depending on libfreetype6-dev.
  * Adjust symbols file for non-FAPI build.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Nov 2010 23:01:47 +0100

ghostscript (9.00~dfsg-1) experimental; urgency=low

  * New upstream release.
    + Fixes pdfwrite incorrect ToUnicode CMap.
      Closes: bug#578910. Thanks to Vincent Lefevre.
  * Update patches:
    + Drop 49 patches now included upstream.
    + Drop disabled (since 8.64~dfsg-1) and apparently no longer needed
      patches 11, 12, 14, 23, 28 and 33.
    + Refresh/unfuzz remaining 8 patches.
  * Exclude superfluous subdirs expat, freetype, icclib, ijs, lcms and
    tiff when repackaging upstream tarball.
  * Make friends between source format 3.0 (quilt) and git-buildpackage:
    gitignore .pc and add a few local-options.
  * Use default ~dfsg hint (drop custom ~dfsg2).
  * Sort system library enabling flags by appearance in source code.
  * Build-depend on liblcms-dev and libfreetype6-dev, and force use
    them.
  * Auto-update API major number in symbols files and library package
    name.
  * Bootstrap autotools and cleanup afterwards (replacing older routine
    to put aside upstream-shipped temp files during build).
    Build-depend on autoconf.
  * Fix bump debhelper compat level to 7: We use new install file
    format.
    Tighten build-dependency on debhelper.
  * Update symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Oct 2010 04:46:34 +0100

ghostscript (8.71~dfsg2-6) unstable; urgency=low

  * Acknowledge pseudo-NMUs.
    Closes: bug#584667, #584516, #583738, thanks to Moritz Muehlenhoff
    and Sebastian Dröge.
  * There is no such thing as a "collab-maint upload:
    + Edit historical changelog entries to avoid further repitition.
    + Document sensible use of collab-maint for NMUs in README.source.
  * Reorder patches to match upstream commit order.
  * Replace patches 0960-0962 (fix printing from GTK+ apps) from Ubuntu
    with corresponding patches cherry-picked from upstream.
  * Refresh patches using shortening options --no-timestamps --no-index
    -pab.
  * Bump Standards-Version to 3.9.1.
  * Put myself as maintainer and Hatta as uploader, to better reflect
    our current levels of activity.
  * Drop superfluous cleanup in preinst of transitional gs-common.
    Thanks to Jonathan Nieder (see bug#519141).
  * Fix circular dependency: Stop ugly transitional hack of ghostscript
    depending on gs-common (which depends on ghostscript).
    Closes: bug#519141, thanks to Bill Allombert, Jonathan Nieder and
    others (see also bug#539754).
  * Add patch 011547 cherry-picked from upstream Subversion, to improve
    cups device support for rendering with high memory demands. Possibly
    fixes bug#534414 (try also setting RIPCache=auto in cupsd.conf).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2010 09:55:55 +0200

ghostscript (8.71~dfsg2-5) unstable; urgency=low

  * Adding myself to uploaders temporarily
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Apply some patches from the Ubuntu package by Till Kamppeter to
    fix printing from GTK+ applications. This is upstream bug #691014
    and fixed upstream too (Closes: #583738).
  * Refresh all patches to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 09:55:39 +0200

ghostscript (8.71~dfsg2-4) unstable; urgency=medium

  * Adding myself to uploaders temporarily
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Fix CVE-2010-1628 (Closes: #584516)
  * Apply upstream commit r11351 to pass -P- to all Ghostscript
    internal tools. Ghostscript will likely be changed to run
    with -P- by default, but this still needs more work/testing
    for a final patch (Closes: #584667)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 31 Jul 2010 23:19:42 -0400

ghostscript (8.71~dfsg2-3) unstable; urgency=low

  * Fix have update-gsfontmap script exit 0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 17:17:14 +0200

ghostscript (8.71~dfsg2-2) unstable; urgency=low

  * Drop defoma. Add update-gsfontmap to provide cidfmap and Fontmap.
    Closes: bug#582110, thanks to Kenshi Muto.
  * List newly added update-gsfontmap script to copyright file (GPL).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 16:19:33 +0200

ghostscript (8.71~dfsg2-1) unstable; urgency=low

  * Use system jbig2dec:
    + Strip jbig2dec subdir.
    + Include (i.e. no longer strip) parts of Resource/CMap subdir:
      DFSG-free now (Adobe-specific license).
    + Bump DFSG repackaging tag.
    + Configure with SHARE_JBIG2=1.
    + Build-depend on libjibg2dec-dev.
    + Strip jbig_* symbols from symbols file.
  * Update/improve copyright file:
    + Rewrap license section Expat, and add comment on Expat variation.
    + Tighten license sections in copyright file.
    + Mention stripped files/dirs in copyright file.
    + Stop listing jbig2dec files.
    + Explicitly list stripped DFSG-nonfree parts of Resource/CMap
      subdir.
    + Stop mentioning local CDBS snippets (no longer included).
  * Strip CMap files (shipped separately, registered with DeFoMa).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2010 19:03:51 +0200

ghostscript (8.71~dfsg-4) unstable; urgency=low

  * Drop locally included d-shlibdeps, and instead tighten build-
    dependency on d-shlibs to versions supporting inversioned -dev
    package and suppressing missing library dependencies (declared
    indirectly using CDBS). No longer mention d-shlibs licensing in
    copyright file.
  * Add patches cherry-picked from upstream VCS:
    + 0927: Write TIFF directories before the page data.
    + 0928: Change default TIFF strip size to one megabyte.
    + 0940: Merge gs_2_colors branch.
    + 0941: Include all our defined fonts in substitution list.
    Register a few newly introduced symbols.
  * Drop local CDBS snippet package-relations.mk: included in cdbs now.
  * Simplify CDBS inclusions: We need newer version anyway due to using
    package dependency handling, so useless trying to ease backporting
    by avoiding other build-dependency tightenings.
  * Build-depend on devscripts and dh-buildinfo, and tighten build-
    dependency on cdbs.
  * Fix use DEB_UPSTREAM_REPACKAGE_EXCLUDES (not abandoned
    DEB_UPSTREAM_REPACKAGE_EXCLUDE) in rules file.
    Closes: bug#577373, thanks to Lucas Nussbaum.
  * Have ghostscript break ghostscript-x too old to depend on same-
    version ghostscript.
    Closes: bug#511824, thanks to Bernhard R. Link.
  * Fix handle upstream-shipped temp files different from patch noise,
    to really make clean target fully clean.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Apr 2010 21:04:02 +0200

ghostscript (8.71~dfsg-3) unstable; urgency=low

  * Add patches cherry-picked from upstream VCS:
    + 0826: Fix some compile errors and warnings.
    + 0827: Fix possibly AIX-only compile error.
    + 0830: Always use contone buffer in wtsimdi device.
    + 0869: Open tiffsep and tiffsep1 output files as seekable.
    + 0881: Revert korean example to non-corrupted version.
    + 0882: Update Windows CJK font substitution list.
    + 0883: lowercase fontfile name before matching.
    + 0890: Fixes on CUPS Raster output device.
    + 0895: pdftoraster no exit until Ghostscript sub-process finishes.
    + 0905: Fix psdcmyk segv.
    + 0908: Fix overprint logic.
    + 0924: Fix TIFFCleanup segfault in gdevtfax.
    + 0925: Fix treat TIFFSetField as floating point.
    + 0926: Have filters return 2 on empty output.
  * Refresh patches (with compacting options --no-timestamp --no-index).
  * Refer to FSF website (not postal address) in rules file header.
  * Fix refer to LGPL as Lesser (not Library) in copyright file.
  * Update local CDBS snippets:
    + Drop conditionally setting DEB_MAINTAINER_MODE in rules file (done
      in main cdbs package now), to not (wrongfully) upset lintian.
    + Drop upstream-tarball.mk, copyright-check.mk and buildinfo.mk, and
      instead use same functionality now offered in main cdbs package.
    + Shrink package-relations.mk (only local snippet left!) to only
      handle binary relations (other parts in main cdbs since 0.4.69).
  * Drop build-depending on devscripts or dh-buildinfo (only needed in
    maintainer builds), to ease backporting.
  * Build-depend unversioned on d-shlibs (needed --overrides option
    satisfied since oldstable).
  * Update symbols file (ALWAYS_CONTONE@Base introduced in patch 0830),
    and postfix earlier patch-introduced debian-versioned symbols with
    "~", thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Mar 2010 21:43:22 +0100

ghostscript (8.71~dfsg-2) unstable; urgency=low

  * Update copyright file:
    + Fix license section GPL-2+ to add refer to actual license at
      /usr/share/common-licenses/GPL-2.
    + Strip from license section other-GPL-3+-Artifex partly outdated
      non-license part.
    + Fix replace bogus license section "GPL-2+ or AFPL" with AFPL one.
    + Fix change license "GPL-2+ with Autoconf exception" to "GPL-2+ or
      other-sa-Autoconf", and add new license section other-sa-Autoconf.
    + Fix change license "GPL-2+ with Libtool exception" to "GPL-2+ or
      other-sa-Libtool", and add new license section other-sa-Libtool.
    + Extend license section GPL-2+ to cover more variants (reducing
      verbatim copies by documenting file/program/library variations).
    + Change GPL license sections to refer to FSF website (as in
      py-compile, not postal address as common in other (older?) cases).
      Place the website reference below Debian-specific reference to
      actual license file, to slightly emphasize that it is a local edit
      (not copied verbatim from an upstream file).
  * Build-depend on libexpat-dev and enable SHARE_EXPAT. Closes:
    bug#560930 (CVE-2009-3560 and CVE-2009-3720), thanks to Michael
    Gilbert and Moritz Muehlenhoff.
  * Tighten watch file to not include macosx flavor, and simplify to no
    longer mangle upstream gpl extension.
  * Apply bug-fixing patches cherry-picked from upstream SVN:
    + 0751: Add missing dereferencing of indirect objects in /Mask array
    + 0778: Fix PDF trailer attributes undefined error
    + 0780: Add cast to bmpcmp.c to quiet useless compiler warning
    + 0782: Fix signedness and other wrong var comparisons in T2 dict
    + 0785: Fix pdfwrite UTF16 handling in PDF/A output
    + 0788: Fix error passing setscreen read-only Halftone type1 dict
    + 0794: Fix ignore a class of broken TrueType font
    + 0810: Fix pdfwrite widths for CIDFont with unusual FontMatrix
    + 0821: Add missing newline in a TTF debug message
    + 0822: Upgrade Adobe Glyph List to v. 2.0.
    + 0823: Fix drop wrong raster optimization in gxipixel.c
    + 0824: Fix PDF crop /TrimBox and /CropBox by the /MediaBox
  * Refresh all patches with quilt option --no-timestamp.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Feb 2010 18:06:54 +0100

ghostscript (8.71~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU. Closes: bug#562643, thanks to Andreas Kirschbaum.
  * No longer strip Resource/Font dir when DFSG-repackaging source (GPL-
    licensed since 8.63). Closes: bug#520215, thanks to Fabian
    Greffrath.
  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
  * Use source format 3.0 "quilt" (and not patchsys-quit.mk). Update
    README.source: normal builds need no special handling now.
  * Add patches:
    + 1009 (Ubuntu): Fix build gs as executable (not shared library)
    + 0743 (Upstream): Fix pdfwrite UTF16-BE pdfmarks not garbling XMP
      metadata
    + 0748 (Upstream): Fix nested ICCBased colour processing
    + 0749 (Upstream): Fix a few minor compile warnings
  * Refresh patches, and reorder to apply in numerical order.
  * Rewrite copyright file using draft DEP5 format: All earlier
    information preserved, but also many new discoveries (some yet
    incomplete - tagged FIXME in the file).
  * Build-depend on libtiff-dev and enable use of libtiff.
  * Update symbols files, and avoid Linux-only realloc symbol on Hurd
    (we currently do not maintain symbols files for other non-Linux
    archs). Closes: bug#546017, thanks to Pino Toscano.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Feb 2010 23:39:11 +0100

ghostscript (8.70~dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix some security issues:
     - CVE-2009-4270[0]: stack-based buffer overflow multiple integer
       overflows in the icc library (closes: #562643)
     - fix possible buffer overflow in gs_throw_imp()

 -- Andreas Kirschbaum <kirschbaum@in-medias-res.com>  Sat, 23 Jan 2010 10:19:35 +0100

ghostscript (8.70~dfsg-2) unstable; urgency=low

  * Fix resolving package-relations.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Aug 2009 22:37:11 +0200

ghostscript (8.70~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Strip unneeded subdirs zlib, jasper, libpng to simplify build and
    licensing tracking.
  * Drop patches 0001 and 0002 now included upstream.
  * Simplify configure and cleanup (autoconf update no longer needed).
  * Bump main license to GPL-3+ (from GPL-2+) in debian/copyright.
  * Fix licensing of escv driver (GPL), and bump copyright year.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Aug 2009 12:05:15 +0200

ghostscript (8.64~dfsg-13) unstable; urgency=low

  * Fix ghostscript-cups to recommend (not depend on) cups and
    cups-client: avoid circular dependencies for cups backends truly
    depending on both cups and this package.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jul 2009 22:32:38 +0200

ghostscript (8.64~dfsg-12) unstable; urgency=high

  * Drop inclusion of symbols.common_le for mips, add it for mipsel.
    Really really closes: bug#533771, thanks to Mattias Ellert.
  * Keep urgency=high - still contains security-related urgently needed
    for testing.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jun 2009 11:28:02 +0200

ghostscript (8.64~dfsg-11) unstable; urgency=high

  * Stop registering symbols.common_le for hppa and mipsel (apparently
    those symbols aren't simply tied to little-endian archs after all).
    Closes: bug#533771, thanks to Kurt Roeckx.
  * Set urgency=high as above affects only build-routines (not actual
    contents of built binaries), no other release blockers occured for 9
    days, and older releases contain security-related bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2009 16:36:58 +0200

ghostscript (8.64~dfsg-10) unstable; urgency=low

  * Fix ghostscript-cups versioned dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2009 14:36:08 +0200

ghostscript (8.64~dfsg-9) unstable; urgency=low

  * Rerelease for unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2009 10:01:15 +0200

ghostscript (8.64~dfsg-8) experimental; urgency=low

  [ Till Kamppeter ]
  * Split off CUPS-related files into new package ghostscript-cups.
    Closes: bug#528386.
  * Have ghostscript-cups recommend cups and cups-client to fix/improve
    PPD update routines.  Closes: bug#510962.

  [ Jonas Smedegaard ]
  * Clenup dependencies related to transitional packages:
    + Tighten ghostscript-x dependency on ghostscript
    + Have ghostscript-doc suggest ghostscript (not depend on it)
    + Drop seemingly bogus ghostscript-x and ghostscript-doc conflicts
    + Fix ghostscript providing gs-common twice
    + Have libgs-dev conflict+replace libgs-esp-dev unversioned
  * Bump policy compliance to Standards-Version 3.8.1.
  * Strip boilerplate and tighten indentation of package maintenance
    scripts.
  * Fix use bash in ghostscript-cups postinst, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jun 2009 23:19:10 +0200

ghostscript (8.64~dfsg-7) unstable; urgency=low

  * Avoid bumping to version 8.65 in gs_init.ps. Closes: bug#532392,
    thanks to Mattias Ellert.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jun 2009 09:35:13 +0200

ghostscript (8.64~dfsg-6) unstable; urgency=low

  * Have ghostscript-x provide gs (wrongly dropped in 8.64~dfsg-4).
  * Really drop cidfmap in Init dir if virtually empty (as promised in
    8.64~dfsg-5). Closes: bug#531182, thanks again to YAMASHITA Junji.
  * Avoid cleaning upstream cruft while in renamed subdirectory.
  * Register new symbols introduced in 8.64~dfsg-3 (added in upstream
    SVN revisions 9651, 9664, 9666, 9667, 9718 and 9719).
  * Update patch 0001 to sync with upstream SVN as of today (r9781):
    + FAPI Fix for Multiple Master fonts
    + PDF font handling: load by name when embedded stream unreadable
    + PDF colour handling: Support /Alternate space being ICCBased too
    + Update local jbig2dec source to 0.10 release
    + PDF graphics: Relax Gouraud free-form mesh shading as Acrobat does
    + PS and PDF improved memory handling for fonts not first in Fontmap
    + PDF fix font loader when Type 1 font executes 'restore' at EOF
    + PDF validate annotation /Border attribute, make invisible if wrong
    + Use 32-bit PostScript integers on 64 bit platform
    + PDF fix DOCVIEW pdfmark handling
    + Fix detect banding device, inbreaking wtsimdi device
    + Misc. minor fixes
  * Drop patches 0002-0007 and 1005 included above.
  * Separate jbig2dec patches in new patch 0002.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jun 2009 18:30:32 +0200

ghostscript (8.64~dfsg-5) unstable; urgency=low

  * Rename patch 2003→1007 (it may be relevant for upstream).
  * Improve patch headers.
  * Fix CMap symlinks.
  * Drop cidfmap in Init dir if virtually empty, fail build otherwise.
  * Together, CMap and cidfmap fixes above closes: bug#531182, thanks to
    YAMASHITA Junji.
  * Update CDBS snippets:
    + Fix package-relations.mk cleanup of debhelper 7 (irrelevant here)
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk
  * Use new fail-source-not-repackaged rule (and drop unused CMap test).
  * Track symbols:
    + Fix symbols file handling in debian/rules to actually work.
    + Drop symbols inherited from libcairo, zlib, libpng, libjpeg and
      libjasper, previously statically linked from locally compiled
      libraries.
  * Register missing symbols:
    + p9color missing since 8.64~dfsg-3
    + pdf_color_space and pdf_font_metadata missing since 8.64~dfsg-2
    Aparently all private symbols which should cause no harm
  * More reliably move away unused libs during build (as introduced in
    8.64~dfsg-2 as part of linking against system shared libraries).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2009 02:20:05 +0200

ghostscript (8.64~dfsg-4) experimental; urgency=low

  * Cleanup configure options and compiler flags, and support
    DEB_BUILD_OPTIONS=FT_BRIDGE (still disabled by default).
  * Fix typo in README.source and document DEB_MAINTAINER_MODE and Git
    use (replacing Subversion phrase).
  * Update watch file:
    + Use canonical URL
    + Fix debian version mangling
    + Improve comment
  * Partial rewrite of copyright to DEP5 proposed format.
  * Add CDBS snippet copyright-hints.mk to help track copyright and
    licensing changes.
  * Add CDBS snippet buildinfo.mk to include hints about build
    environment to binary packages potentially useful for debugging.
  * Drop old transitional packages gs, gs-aladdin and virtual
    gs-pdfencrypt.
  * Add symbols files to source package.
  * Cherry-pick patches from upstream svn:
    + Patch 0002: fix/relax pdf detection of ARC4 encryption
    + Patch 0003: bind ps2ai procedures to avoid some errors
    + Patch 0004: fix pdf_draw.ps to handle missing /Length attribute
    + Patch 0005: fix cupsPageSizeName to not treat all sizes as custom
    + Patch 0006: fix pstoraster to support passing filename as 6th arg.
    + Patch 0007: fix ps2write to not bogusly tag output DSC-compliant
  * Install via debian/tmp.  Fix install version-specific dir and
    symlink.
  * Build static lib.
  * Install library files using d-shlibs.  Include local patched copy of
    d-shlibmove (see bugs #530367, #530368).
  * Update copyright to include d-shlibs author (no new license).
  * Install upstream pdftoraster and drop identical local copy.
  * Drop virtually empty gs-common prerm file, thanks to lintian.
  * Use bash for ghostscript postinst (uses trap).
  * Silence lintain warning about unused jpeg source.
  * Add patch 2003 fixing pphs installation (it is a user script, not a
    library).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 May 2009 22:40:32 +0200

ghostscript (8.64~dfsg-3) experimental; urgency=low

  * Update patch 0001 to sync with upstream SVN as of today (r9738):
    + Set USE_MEMSET by default.
    + Improve font handling, mostly with PDF files.
    + Fix colour handling with /UseCIEColor in PDF files.
    + Silence some Coverity warnings.
    + Add new "cdnj500" device to support HP DesignJet 500.
    + Improve transparency with PDF files (soft mask branch merged).
    + Allow inline images in pdfwrite.
    + Code cleanup in inferno driver.
    + Fix and improve FAPI, mostly with pdfwrite.
    + Fix oversights in AES decryption code for PDF files.
    + Improve cups output device: better page size and margin handling,
      add PPD keywords *cupsBackSide and *APDuplexRequiresFlippedMargin,
      and fix keyword *cupsFlipDuplex.
    + Correct a potential buffer overrun.
    + Fix unprintable margin handling of the "cups" output device.
    + Check for unbalanced q/Q operators in content streams of PDF forms.
    + Fix PostScript interpreter : ICC colour space could cause crash
    + Use 32 bits for fixed coordinates even on 64 bit cpus.
    + Fix (ps2write): Crash when converting large shading to image.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 May 2009 23:04:08 +0200

ghostscript (8.64~dfsg-2) experimental; urgency=low

  * Update Vcs hints: Package now maintained in collab-maint group at
    Alioth using git.
  * Preserve cruft shipped upstream, to not upset git.
  * Maintain all package relations in debian/rules, resolved using CDBS.
  * Bump to debhelper v6.
  * Use quilt (not dpatch), and renumber patches.
  * Add new patch 0001 to sync with upstream SVN as of today (r9640):
    + Improved font handling, especially with CID fonts.
    + Improved cups driver, including segfault fixes.
    + Image handling: compression in PDF files, PPM file encoding.
    + PDF handling: image compression, page rotation, pdf14
      transparency, multiple copies, workarounds for some broken PDFs.
    + Paper sizes (fixes to A3 in pswrite, add hagaki).
    + bit*** zero-length files when -dLastLine not set.
    + improved operand stack overflow handling.
    + Fix gcc and Coverity warnings, also fixing sime segfaults.
    + Changed ordering of LDFLAGS and library linking.
    + Fix segfault on archs using non-32-bit integers.
    + Fix colour issues: infinite loop, coloring of invisible objects.
    + Fix %%%%BeginPageSetup -> %%BeginPageSetup in DCS comment.
    + EPSI improved bbox calculation.
  * Add new patch 1003 modernising autoconf syntax regarding
    autogenerated cups/pstopxl and cups/pstoraster.
  * Restore configure in clean rule.
  * Add new patch 1006 fixing linkage with system libjasper, thanks to
    Tim Waugh and Redhat.
  * Link against system shared libraries (not local copies) zlib,
    libpng, libjpeg and libjasper. Build-depend on libjasper-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Apr 2009 13:46:44 +0200

ghostscript (8.64~dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update fixes various security issues:
    - CVE-2009-0792: multiple integer overflows in the icc library
      can cause a heap-based buffer overflow possibly leading to arbitray
      code execution.
    - CVE-2009-0584/CVE-2009-0583: Multiple integer overflows causing an
      application crash or possibly arbitrary code execution.
    - CVE-2009-0196: heap-based buffer overflow in big2_decode_symbol_dict()
      leading to arbitrary code execution via a crafted JBIG2 symbol
      dictionary segment.
      .
      (Closes: #524915, #522416, #524803)

 -- Nico Golde <nion@debian.org>  Wed, 22 Apr 2009 00:19:51 +0200

ghostscript (8.64~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 13, 21-22, 24-32 and 34-70: applied upstream now.
  * Drop patch 03 and simplify configure options: upstream supports
    libpaper now.
  * Drop patch 20: unneeded for recent ghostscript (see upstream r9430).
  * Disable patches 11-12 (CJKV): cannot apply - needs code changes.
  * Unfuzz patches 01-02.
  * Add new patch 71 to install CJK example files.
  * Add new patch 72 enhancing ps2pdf manpage to also mention ps2pdf14
    (both original and german translation).
  * Add README.source referencing quilt, svn-buildpackage and CDBS
    documentation.
  * Mention stripped Resource/Font directory in debian/copyright, and
    rephrase related section for (hopefully) improved readability.
  * Use local CDBS snippet upstream-tarball to implement get-orig-source
    and more. Update README.source to document its use.
  * ps2pdf alternatives handling dropped in preinst of ghostscript and
    gs-common: ps2pdf is provided upstream as a script. Closes:
    bug#475817.
  * Add symlink for german manpage of ps2pdf to ps2pdf14.
  * Fix bashisms in ghostscript prerm, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Mar 2009 01:16:27 +0100

ghostscript (8.63.dfsg.1-2) unstable; urgency=low

  * libgs-dev: put versioned dependency on libgs8 - closes: #510691

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 04 Jan 2009 12:09:59 +0900

ghostscript (8.63.dfsg.1-1) unstable; urgency=low

  [Masayuki Hatta]
  * Maintainer upload, New upstream release.
  * Acknowledged NMUs, thanks tv - closes: #472645, #495703, #503712
  * debian/patches/32_improve-handling-of-media-size-changes-from-gv.dpatch:
    Allow gv to change the image and media size (Upstream bug #688943)
    - closes: #142228
  * debian/patches/33_bad-params-to-xinitimage-on-large-bitmaps.dpatch:
    Fixed zooming problem in gv (Upstream bug #689547)
    - closes: #419183
  * debian/patches//34_ftbfs-on-hurd-fix.dpatch:
    Fixed FTBFS on hurd-i386 - closes: #475704
  * Added Homepage, Vcs-Svn and Vcs-Browser headers in control.
  * Sync'd with the Ubuntu 8.63.dfsg.1-0ubuntu13.

  [Till Kamppeter]
  * debian/libgs8.shlibs: Removed. All libgs8 versions should have the same
    API and ABI. The artificial restriction set by this file required all
    reverse dependencies to be rebuilt for every stable release of Ghostscript.
  * debian/patches/35_disable_libcairo.dpatch: Added possibility to
    compile Ghostscript without the "cairo" output device. The device
    is still in experimental state and with its dependency on libcairo
    it pulls in a dependency on X.
  * debian/control, debian/rules: Build Ghostscript without the "cairo"
    output device.
  * debian/patches/38_pxl-duplex.dpatch: The Duplex option of the "pxlmono"
    and "pxlcolor" drivers did not work.
  * debian/patches/39_pxl-resolution.dpatch: The resolution must be also set
    as PJL command for the "pxlmono" and "pxlcolor" drivers.
  * debian/patches/42_gs-init-ps-delaybind-fix.dpatch: Make "ps2ascii" working
    again (Upstream bug #690124) - closes: #81430, #229748, #131528
  * debian/patches/45_bjc600-bjc800-pdf-input.dpatch: Fix setting of the
    "DitheringType" option. With PDF input Ghostscript crashes, with
    PostScript input the "DitheringType" option was probably ignored
    (Upstream bug #690032).
  * debian/patches/48_cups-output-device-pdf-duplex-uninitialized-memory.patch.dpatch:
    Fixed several bugs in the "cups" (CUPS Raster) output device:
     - Ghostscript crashed with PDF input data
     - The "Duplex" and "MediaWeight" options were ignored
     - There was uninitialized memory and wrong usage of pointers, potential
       cause for segmentation faults or even vulnerabilities
     - There were mismatches in data types, leading to possible breakage
       of the "AdvanceDistance", "MediaWeight", and "cupsStringXX" options.
    (Upstream bug #690101).
  * debian/local/pdftoraster/pdftoraster.c,
    debian/local/pdftoraster/pdftoraster.convs, debian/rules: Added pdftoraster
    filter from the Ghostscript SVN repository - closes: #505282
  * debian/patches/50_lips4-floating-point-exception: Fixed floating-point
    exception in "lips4" and other drivers (Upstream bug #690122).
  * debian/patches/52_cups-device-logging.dpatch: Made logging of the "cups"
    output device much less verbose. The log of one jub in debug mode did not
    fit into the maximum log file size of CUPS.
  * debian/patches/55_pcl-input-slot-fix.dpatch: Made the paper tray selection
    via "-dMediaPosition=..." in the PCL 4/5/5e drivers work (Upstream bug
    #690182).
  * debian/patches/57_pxl-input-slot-fix.dpatch: Made the paper tray selection
    via "-dMediaPosition=..." in the PCL 6/XL drivers work.
  * debian/patches/60_pxl-cups-driver-pdf.dpatch: Made the PCL-XL CUPS filter
    and PPDs work with PDF input.
  * debian/patches/62_onebitcmyk-pdf.dpatch: Check the whole Decode array to
    detect special cases of identity and inverse decoding in PDF files
    (Upstream bug #690178).
  * debian/ghostscript.postinst: Added automatic update of the PPD files
    of already existing print queues.
  * debian/ghostscript.postinst: Do not try to update the PPDs of existing
    print queues if CUPS is not installed or not running.
  * debian/patches/60_pxl-cups-driver-pdf.dpatch: The pstopxl filter did not
    remove its temporary file after finishing.
  * debian/patches/65_too-big-temp-files-1.dpatch: Ghostscript produced much
    too big temporary files (> 10 GB) when printing photos from GNOME apps in
    1200 dpi. Part 1 of the fix which reduces the temp file size to less than
    2 GB (Upstream bug #690133).
  * debian/patches/67_too-big-temp-files-2.dpatch: Complete fix for the too big
    temporary files. Now the bug is completely fixed. Temp files are not much
    bigger than the jobs themselves now (Upstream bug #690133).
  * debian/patches/70_take-into-account-data-in-stream-buffer-before-refill.dpatch:
    Certain files lead to a Ghostscript error due to wrong handling of the
    stream buffer (Upstream bug #690090).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 04 Jan 2009 09:30:13 +0900

ghostscript (8.62.dfsg.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make ghostscript depend on gs-common to prevent removal.
    Drop gs-common -> ghostscript-x dependency to not force the
    X version on all users. Hopefully Closes: #503712.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 28 Dec 2008 11:18:18 +0100

ghostscript (8.62.dfsg.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add (empty) gs-common.prerm to enable upgrades
    etch->lenny to succeed when the old gs-common.prerm
    fails. Closes: #495703.
    Thanks to Niko Tyni for the bug report and analysis.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 31 Aug 2008 22:26:34 +0200

ghostscript (8.62.dfsg.1-3) unstable; urgency=low

  * Acknowledged NMU, thanks madcoder - closes: #453903
  * Bumped to Standards-Version: 3.8.0.
  * Fixed fakeroot build error, thanks Bob Lindell - closes: #484712
  * ghostscript-doc.doc-base: Made file mask *.htm* instead of *.html.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 20 Jul 2008 08:59:17 +0900

ghostscript (8.62.dfsg.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patches/31_fix-gc-sigbus.dpatch to avoid sigbus/segfaults on sparc and
    hppa (and probably errors on other architectures as well).
    Closes: #453903.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 15:25:03 +0200

ghostscript (8.62.dfsg.1-2) unstable; urgency=low

  * ghostscript: Tighten up versioned dependency on libgs8
    - closes: #470253
  * preinsts for each dummy packages now call update-alternatives
    to make sure gs symlinks are removed before the new ghostscript
    package is installed - closes: #449173

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 13 Mar 2008 02:30:51 +0900

ghostscript (8.62.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Removed Resource/Font for a minor licensing problem.
    I'm now contacting the upstream, so they might be back soon.
  * Fixed in the upstream - closes: #418706
    See also https://bugs.ghostscript.com/show_bug.cgi?id=689600
  * Now it can handle DEB_BUILD_OPTS as expected - closes: #446819
  * 10_ijs_krgb_support.dpatch: incorporated into the upstream, removed.
  * 27_cups_filters_with_buffered_input.dpatch: incorporated into
    the upstream, removed.
  * 28_print_encrypted_PDFs_from_adobe_reader_8.dpatch: incorporated into
    the upstream, removed.
  * 31_CVE-2008-0411.dpatch: incorporated into the upstream, removed.
    thanks Nico Golde for NMU.
  * shlibs: loosen the libgs8 shlibs version specification,
    thanks Sune Vuorela for pointing it out - closes: #469218
  * control: ghostscript doesn't provide gs, gs-esp, gs-gpl, gs-afpl
    and gs-aladdin anymore - ghostscript-x does - closes: #448702, #462678
  * control: tighten up versioned Conflicts on dummy packages.
  * rules: removes /usr/share/doc/ghostscript/README.gz explicitly
    - closes: #460692
  * postinst: removes old /etc/alternative symlinks explicitly
    - closes: #447495, #449061

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Mar 2008 10:39:31 +0800

ghostscript (8.61.dfsg.1-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix stack based buffer overflow in the zseticcspace() function possibly
    leading to arbitrary code exeuction via a crafted ps file.
    (31_CVE-2008-0411.dpatch; Closes: #468190).
  * Adjusting libgs shlibs file to match the new version number.

 -- Nico Golde <nion@debian.org>  Sat, 01 Mar 2008 11:18:27 +0100

ghostscript (8.61.dfsg.1-1) unstable; urgency=low

  [Masayuki Hatta]

  * New upstream release.
  * Now pdf2dsc can handle PageLabels properly - closes: #266166
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * NEWS, README.Debian, copyright: Revised.
  * NEWS: Fixed wrong version number - closes: #454514, #454515
  * Sorted out dpatches:
    01-09: Debian-specific patches
    10-19: Bigger 3rd party patches (KRGB & CJKV)
    20-: Temporary bug fixes (should be incorporated into the upstream)
  * debian/patches/29_gs_css_fix.dpatch: Fixes a syntax error in gs.css
    - closes: #457118
  * debian/patches/30_ps2pdf_man_improvement.dpatch: Improved manpages for
    ps2pdf - closes: #193461

  [Till Kamppeter]

  * debian/patches/09_ijs_krgb_support.dpatch: Adapted to upstream changes.
  * debian/rules: Updated CUPS-related variables for "make install" calls.
  * debian/rules: Remove /usr/include/ghostscript from the ghostscript
    package, they go into libgs-dev.
  * debian/patches/40_cups_filters_with_buffered_input.dpatch: Modified
    cups/psto* filters to let Ghostscript always use buffered input. This
    works around a Ghostscript bug which prevents printing encrypted PDF
    files with Adobe Reader 8.1.1 and Ghostscript built as shared library
    (Ghostscript bug #689577, Ubuntu bug LP: #172264)
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1.  This
    is the real fix now and not only a workaround. (Ghostscript bug
    #689577, Ubuntu bug LP: #172264).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 13 Jan 2008 02:13:25 +0900

ghostscript (8.61.dfsg.1~svn8187-3) unstable; urgency=low

  * Maintainer upload.
  * Acknowledged NMU, thanks Cyril - closes: #422723, #430337
  * 06_libpaper_support.dpatch: fixed to cope with being called repeatedly.
    Thanks Carlos Garcia Campos - closes: #453048
  * debian/watch: Now it works.  Thanks Raphael Geissert - closes: #449310

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 05 Dec 2007 06:06:23 +0900

ghostscript (8.61.dfsg.1~svn8187-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix long-standing implicit pointer conversions by backporting a fix from
    SVN revision 8232, as pointed by Dann Frazier (Closes: #422723):
     - 40_implicit_pointer_conversion_fix.dpatch added for this purpose. It
       also contains an additional tweak for src/gpmisc.c so that no attempt
       to use fdopen64() is made, fdopen() is the way to go. That tweak also
       solves the FTBFS on GNU/kFreeBSD (Closes: #430337).
     - DEB_AUTO_UPDATE_AUTOCONF set to “yes” in debian/rules so that the
       configure script gets updated at build time (the needed build
       dependencies are already there).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 24 Nov 2007 06:35:17 +0100

ghostscript (8.61.dfsg.1~svn8187-2) unstable; urgency=low

  * Maintainer upload, acknowledged NMU - closes: #447188
  * Made all dummy packages depend on ghostscript AND ghostscript-x, so
    their nominal "functionality" should virtually be the equivalent to
    the former gs|gs-gpl|gs-esp|gs-afpl packages - closes: #446825
  * Revised debian/copyright - closes: #444468, #444467
  * debian/rules: Clean files from package ghostscript which are moved to
    ghostscript-doc on i386 (where arch-all packages are built). On all
    non-i386 platforms the files remained in the main package, which
    causes file conflicts and unnecessary package growth - closes: #446927
    (fix from Ubuntu)
  * debian/patches/06_libpaper_support.dpatch: Added missing "#include
    <paper.h>", this made Ghostscript not working at all on IA64 - closes:
    #428055 (fix from Ubuntu)

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 31 Oct 2007 02:27:38 +0900

ghostscript (8.61.dfsg.1~svn8187-1.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Included 31-CVE-2007-2721.dpatch to fix remote
    user-assisted denial of service via malformed image
    files in embedded copy of jasper (Closes: #447188)

 -- Nico Golde <nion@debian.org>  Sat, 20 Oct 2007 12:46:44 +0200

ghostscript (8.61.dfsg.1~svn8187-1) unstable; urgency=low

  * New upstream release - closes: #437848, #291452
  * Important CJK handling fixes are absent from the current 8.60 or SVN, so I
    decided to use this SVN snapshots until the issue is fixed (Ubuntu does the
    same).
  * Can be built with the modern GCC now - closes: #440427
  * Complete re-organization: gs-gpl, gs-esp and gs-afpl are discontinued and
    gone altogether, and now there's only one ghostscript package - closes:
    #52603, #159516, #434791, #394628, #394350, #295377, #246983, #416253,
    #323867
  * Imported Ubuntu's various improvements on packaging.
    Thanks for Ubuntu people, especially Till Kamppeter.
  * Sorted out dummy packages - closes: #321989, #401137
  * Separated -doc package - closes: #138549, #391082, #389872
  * Separated -x package, the main ghostscrpt doesn't depend X anymore - cloese:
    #76814, #393980, #240215
  * Separated libgs* packages - closes: #344351
  * Enabled cdj880 driver - closes: #157067
  * Enabled Lexmark 3200 driver - closes: #157067
  * Enabled pcl3 driver - closes: #259075
  * Added /usr/share/fonts/type1/gsfonts to fontpath - closes: #434310
  * Sorted out licensing information.
  * Removed jasper/doc/*.pdf since those are shipped without
    "transparent" copies a la GFDL.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 14 Oct 2007 22:24:34 +0900

ghostscript (8.61.dfsg.1~svn8187-0ubuntu4) hardy; urgency=low

  * debian/rules: Clean /usr/share/doc/*.html files from package
    'ghostscript', too (incomplete fix in previous versions), since they are
    already shipped in ghostscript-doc and thus have a file conflict.
    (LP: #153218)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Oct 2007 17:21:21 +0200

ghostscript (8.61.dfsg.1~svn8187-0ubuntu3) gutsy; urgency=low

  [ Till Kamppeter ]
  * debian/rules: Install missing *.upp files (usptream bug, LP: #150985).

  [ Martin Pitt ]
  * debian/rules: Clean files from package ghostscript which are moved to
    ghostscript-doc on i386 (where arch-all packages are built). On all
    non-i386 platforms the files remained in the main package, which causes
    file conflicts and unnecessary package growth. This is a quick hack for
    Gutsy. In Hardy, this horribly broken build system should be fixed
    properly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Oct 2007 23:00:28 +0200

ghostscript (8.61.dfsg.1~svn8187-0ubuntu2) gutsy; urgency=low

  * debian/patches/06_libpaper_support.dpatch: Added missing
    "#include <paper.h>", this made Ghostscript not working at all
    on IA64 (Fixes LP: #130842, thanks to Ralph Giles from ghostscript.com
    for the fix and to Matthias Klose for the IA64 test machine).
  * debian/ghostscript.links: Bumped version number in link for CJK fonts
    (Fixes LP: #139911).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Sep 2007 10:00:58 +0100

ghostscript (8.61.dfsg.1~svn8187-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o SVN snapshot rev 8187
    o CJK patches from Koji Otani to fix several issues with CJK text
      (should fix https://bugs.ghostscript.com/show_bug.cgi?id=689304).
      These patches were also applied to ESP Ghostscript and having them
      in Gutsy's GPL GS will avoide regressions against Feisty's ESP GS.
    o Minor bug fixes from upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Aug 2007 21:49:58 +0100

ghostscript (8.60.dfsg.6-0ubuntu2) gutsy; urgency=low

  * debian/patches/30_assorted_script_fixes.dpatch: Back out the update
    to pdf2eps, causing build failures on the buildds.
  * debian/control: Build-depend on freeglut3-dev | libglut-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 10:50:08 +0200

ghostscript (8.60.dfsg.6-0ubuntu1) gutsy; urgency=low

  * Final release of Ghostscript 8.60
    o First official release of GPL Ghostscript with merged functionality
      of ESP Ghostscript.
    o Closes: LP: #128801
  * debian/patches/50_gv_kghostview_compatibility.dpatch: Removed workaround,
    real fix done upstream

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 02 Aug 2007 02:13:11 +0100

ghostscript (8.60.dfsg.5-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o SVN snapshot rev 8127
    o Carried over some bug fixes from ESP Ghostscript (see
      https://bugs.ghostscript.com/show_bug.cgi?id=689315)
    o Minor bug fixes from upstream.
  * debian/patches/30_assorted_script_fixes.dpatch: Updated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 16 Jul 2007 17:43:58 +0100

ghostscript (8.60.dfsg.4-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o SVN snapshot rev 8050
    o From now on we take snapshots from the trunk, as the merger of ESP and
      GPL Ghostscript is completed and moved into the trunk. The branch
      "gs-esp-gpl-merger" has been removed.
    o Minor bug fixes from upstream.
  * debian/patches/50_gv_kghostview_compatibility.dpatch: Updated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 14 Jun 2007 2:53:50 -0700

ghostscript (8.60.dfsg.3-0ubuntu2) gutsy; urgency=low

  * debian/control:
    + Make gsfonts a Depends instead of Recommends as it was before on the
      gs-common package. This fixes the GStreamer build failure.

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue, 12 Jun 2007 21:15:25 +0200

ghostscript (8.60.dfsg.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o SVN snapshot rev 8025, branch "gs-esp-gpl-merger"
    o Minor bug fixes from upstream.
  * debian/rules: Renamed executable /usr/bin/gsc to /usr/bin/gs to not
    conflict with the gambc package (Fixes LP: #118785).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 06 Jun 2007 17:22:27 +0100

ghostscript (8.60.dfsg.2-0ubuntu2) gutsy; urgency=low

  * debian/ghostscript.preinst:
    - Only remove the gs alternatives on upgrades from before
      8.60.dfsg.2-0ubuntu1, and don't let the lack of alternatives fail
      installation.
    - Remove "rm -rf /etc/ghostscript /etc/gs-gpl" insanity.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Jun 2007 14:18:02 +0200

ghostscript (8.60.dfsg.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o SVN snapshot rev 7997, branch "gs-esp-gpl-merger"
    o Added functionality to compile with shared libgs and without GTK
      via "--disable-gtk" configure option (feature overtaken from ESP
      Ghostscript).
    o Minor bug fixes from upstream.
  * debian/patches/40_fix_imdi_patch.dpatch: Removed, fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 23 May 2007 11:54:11 +0100

ghostscript (8.60.dfsg.1-0ubuntu2) gutsy; urgency=low

  * debian/rules: Added forgotten option "--disable-gtk" to the "./configure"
    command line, this prevented ghostscript from building on the build
    servers.
  * Added missing version number to "Conflicts: gs-common" in the ghostscript
    package.
  * Do away with the update-alternatives, we have one grand unified Ghostscript
    now!

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 May 2007 21:38:21 +0100

ghostscript (8.60.dfsg.1-0ubuntu1) gutsy; urgency=low

  * This is the first Debian/Ubuntu package reflecting Artifex' move to do
    the head development of Ghostscript under GPL and the merger of ESP
    Ghostscript into GPL Ghostscript which followed after that.
  * Renamed from "gs-gpl" to "ghostscript" on agreement with Debian Ghostscript
    maintainer Masayuki Hatta
  * New upstream release
    o SVN snapshot rev 7979, branch "gs-esp-gpl-merger"
    o This is the head of the Ghostscript development now. There is no separate
      AFPL Ghostscript any more. See http://www.ghostscript.com/awki/News.
    o All extra functionality of ESP Ghostscript is merged into GPL
      Ghostscript now and the development of ESP Ghostscript is discontinued.
      See https://www.cups.org/espgs/.
  * debian/control: Added tags and transitional packages to make this package
    (ghostscript) replacing gs-esp and gs-afpl (Closes: LP#47432, LP#47458,
    LP#75894, LP#83769, LP#103595, LP#105752, LP#108159, LP#109304).
  * debian/rules, debian/control, debian/dirs, debian/ghostscript.*,
    debian/README.Debian, debian/gs.defoma: Merged in gs-common.
  * debian/control: Set Ubuntu maintainer.
  * debian/rules: Activated full functionality by appropriate "./configure"
    command line options. This is now the one and only Ghostscript in Ubuntu
    Linux.
  * debian/rules: Do not build static executable, to reduce the build time
    to one half of the former build time of gs-esp (or to not double the
    build time of ghostscript).
  * debian/rules, debian/control: Split package into ghostscript, libgs8,
    libgs-dev, and ghostscript-x, like we did with gs-esp, also split off
    documentation into ghostcript-doc.
  * debian/NEWS: Added info about merger of ESP and GPL Ghostscript
  * debian/patches/: Removed 01_gsdir_for_gs-gpl.dpatch,
    02_fontpath_for_debian, 20_additional_drivers, 21_additional_drivers_mak,
    22_gdi_support, 23_hl12x0_support: They are not needed any more after
    merging in the ESP GS functionality and moving to "ghostscript" as
    package name.
  * debian/patches/09_ijs_krgb_support.dpatch: Updated to version 1.3
    of the KRGB patch (from HPLIP 1.7.3).
  * debian/patches/04_gdevxini_segv_fix.dpatch: Removed, it makes the X
    device being reopened on every page size change and breaks output with
    tools like gv (gv hangs without showing any page).
  * debian/patches/40_fix_imdi_patch.dpatch: Fixed imdi directory location
    in src/devs.mak
  * debian/patches/50_gv_kghostview_compatibility.dpatch: Fixed compatibility
    with GUIs like gv and kghostview (see upstream bug 689237,
    https://bugs.ghostscript.com/show_bug.cgi?id=689237, note: reintroduces
    upstream bug 687125 but that bug is much less a problem).
  * debian/ghostscript.postinst: update-alternatives configuration does not get
    correctly updated when the obsolete gs-esp and gs-afpl packages get removed
    via the transitional packages. Let the post-install script of the
    ghostscript package reset update-alternatives to auto mode for such a case.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 21 May 2007 13:00:21 +0100

gs-gpl (8.56.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * man/gs.1: Paths are adjusted to Debian - closes: #405049
  * man/gs.1: Fixed various typos - closes: #323534
  * Fixed insecure /tmp usage in toolbin scripts (CAN-2005-2352) - closes:
    #291373
  * Now opdfread.ps is installed - closes: #401755

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 05 May 2007 00:58:39 +0900

gs-gpl (8.54.dfsg.1-5) unstable; urgency=high

  * Oops, I forgot to apply dpatch #20, so the large amount of drivers are
    missing in -4.  Mea Culpa.
  * Added Brother HL-1240/1250 support - closes: #280693
  * Make sure /etc/gs-gpl is removed - closes: #333474
  * Remove Fontmap and Fontmap.GS from the package - closes: #325400
  * Provides the index.html symlink - closes: #303792
  * Added binary-indep rules in debian/rules - closes: #267398

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 21 Oct 2006 10:25:56 +0900

gs-gpl (8.54.dfsg.1-4) unstable; urgency=high

  * Brought back KRGB colorspace support to ijs - closes: #355616
  * Brought back Samsung GDI support - closes: #365337
  * gs depends on gs-gpl | gs-esp - closes: #297024
  * rules, gs-gpl.links: s/8.15/8.54/g.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 18 Oct 2006 21:33:33 +0900

gs-gpl (8.54.dfsg.1-3) unstable; urgency=low

  * Supports big post table for CMap - closes: #205055
  * Fixed a potential segv problem in src/gdevxini.c, thanks Ian Jackson for
    providing a patch - closes: #254206

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 18 Oct 2006 03:48:57 +0900

gs-gpl (8.54.dfsg.1-2) unstable; urgency=high

  * Made qsort call in src/gxfcopy.c 64-bit clean, thanks Andreas - closes:
    #390875

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 12 Oct 2006 09:28:26 +0900

gs-gpl (8.54.dfsg.1-1) unstable; urgency=low

  * New upstream release - closes: #373805
  * Acknowledged NMUs, since crash on ppc has been fixed in the upstream  -
    closes: #357326, #327288, #324796

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 26 Sep 2006 01:25:04 +0900

gs-gpl (8.50-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/00list: Re-enable patch 10_powerpc_crash_fix; upstream
    delayed to fix after the 8.50 release. Cures segfaults on ppc (again).
    Thanks to Roger Leigh for testing. Closes: #357326

 -- Daniel Kobras <kobras@debian.org>  Wed, 29 Mar 2006 14:22:21 +0200

gs-gpl (8.50-1) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * New upstream release - closes: #347637, #348834
  * Updated debian/watch - closes: #354352
  * Bumped to Standards-Version: 3.6.2.2 (no physical changes).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  5 Mar 2006 10:46:33 +0900

gs-gpl (8.15-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gcc-3.4 on s390.

 -- Bastian Blank <waldi@debian.org>  Thu, 29 Dec 2005 10:52:10 +0000

gs-gpl (8.15-4) unstable; urgency=low

  * Apply patch 10 working around a crashing bug on powerpc (details in
    the patch file itself). This closes: bug#324796, #325570, #327288
    (thanks to Paul Brossier <piem@debian.org> for first reporting, Ian
    Jackson <ian@davenant.greenend.org.uk> for providing the patch, and
    Thomas Bushnell BSG <tb@becket.net> for shouting about the problem).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Sep 2005 15:15:44 +0200

gs-gpl (8.15-3) unstable; urgency=low

  * Bumped Standards-Version to 3.6.2.1 (no physical changes).
  * Removed patch 04, since it doesn't affect at all.
  * Enabled jbig2dec support.
  * Now uses cidfmap generated by defoma.
  * gs-gpl.links: make a symlink of CMap directory under
    /usr/share/gs-gpl/8.15/Resource. NOTE: even if CMap files can be found
    somewhere in the font path, gs-esp fails to prepare a composed font with
    CIDFont and CMap. This hack is a workaround for "the CMap files must be put
    into the first directory of the font path" problem.  Many Thanks Akira TAGOH
    for suggestion.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 18 Aug 2005 03:38:59 +0900

gs-gpl (8.15-2) unstable; urgency=low

  * Drop stp patch:
    + Remove stp-related parts of additional_drivers patches 20 and 21.
    + Drop build-dependency on libgimpprint-dev.
    + Remove stp note from README.Debian.
    + Closes: bug#313026 (thanks to Roger Leigh <rleigh@debian.org>).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jul 2005 14:05:26 +0200

gs-gpl (8.15-1) unstable; urgency=low

  * Repackaged source tarball with non-free CMaps stripped.
  * Added check in debian/rules to fail if CMaps exist in the source.
  * Mention in debian/copyright that CMaps are stripped.
  * Add myself as uploader (acknowledged by Masayuki), and re-upload as
    regular maintainer upload. This package closes: bug#280352 (thanks
    to some anonymous(?) lilypond-lover offering virtual beer for
    pushing this newer release, and Wouter Verhelst <wouter@debian.org>
    for delivering the message).
  * Correct UTF8-encoding of debian/changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2005 13:27:05 +0200

gs-gpl (8.15-0.1) unstable; urgency=low

  * NMU of newer upstream release.
  * Update and unfuzz patches (Note: source patched by
    04_resourcedir_fix_for_debian slightly changed upstream, so may no
    longer be needed).
  * Use fine-grained X11 build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jul 2005 10:52:11 +0200

gs-gpl (8.01-5) unstable; urgency=high

  * [NEWS] added a note on CJK TTF support.
  * Revive Samsung GDI support, thanks plum - closes: #250180
  * Revive Brother 7x0 GDI support - closes: #253479
  * Added KRGB colorspace support to gs IJS driver - closes: #249166
  * Fix SEGV on -sDEVICE=bbox - closes: #250290, #254877
  * Adjust the margins for Epson drivers - closes: #48975
  * Now Suggests hpijs - closes: #161953

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 15 Aug 2004 13:03:15 +0900

gs-gpl (8.01-4) unstable; urgency=low

  * Fixed the priority to 20 - closes: #246983
  * Removed funky character in NEWS, thanks tbm for pointing it out.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  5 May 2004 16:09:24 +0900

gs-gpl (8.01-3) unstable; urgency=low

  * Added Build-Dep: libgimpprint1-dev - closes: #244143
  * Added lj3100sw driver - closes: #243963
  * Revised description.
  * Added notes on stp.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 28 Apr 2004 05:40:05 +0900

gs-gpl (8.01-2) unstable; urgency=low

  * Added STP support culled from gimp-print 4.2.6.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 13 Apr 2004 13:20:31 +0900

gs-gpl (8.01-1) unstable; urgency=low

  * New maintainer with torsten's blessing.  He is still a co-maintainer.
  * The package name has been changed to gs-gpl.
  * Now uses dpatch.
  * Acknowledged NMUs - closes: #63163, #136652, #105179, #128314, #128416
  * New upstream release - closes: #235686, #226088
  * Revised copyright - closes: #226020
  * Moved *map under /etc/gs-gpl - closes: #179244
  * Do not run "update-alternatives --remove" when upgrade - closes: #163267
  * Improved libpaper support - closes: #182268
  * Set the font path appropriately - closes: #122828, #159816, #111874,
    #195931, #128955
  * Removed stp driver - closes: #170550
  * Added cfax driver - closes: #183438
  * Set the priority to 20.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 27 Mar 2004 00:00:05 +0900

gs (7.07-1) unstable; urgency=low

  * New upstream release.
    + Uses /dev/urandom instead of /dev/random so does not block forever
      waiting for quality random numbers (closes: #176850).
  * Fix buffer overflow in gdevhpij.c (sizeof(PK) < PIPE_BUF...) and
    remove the old patch (closes: #184345).
  * debian/devices: Add pngalpha device.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 18 Jun 2003 10:51:53 +0200

gs (7.06-1.1) unstable; urgency=low

  * NMU
  * Fix unconditional PIPE_BUF bug to build on GNU. (Closes: #184345)

 -- Robert Millan <rmh@debian.org>  Sun, 13 Apr 2003 14:01:41 +0200

gs (7.06-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Include History7.htm into the changelog.
    + Kill the /usr/share/man/de hierarchy which only documents stuff
      in gs-common, not even the gs command.

 -- Torsten Landschoff <torsten@debian.org>  Thu,  3 Apr 2003 11:34:02 +0200

gs (7.05-3) unstable; urgency=low

  * Reextract the source without running ntpdate on another console
    and rebuild to fix the search path (closes: #173493, #173560).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 20 Dec 2002 15:54:29 +0100

gs (7.05-2) unstable; urgency=low

  * debian/control: Conflicts, Provides and Replaces gs-pdfencrypt - that
    functionality is now included in gs itself and the old stuff breaks
    with current gs (closes: #173222).
  * Apply the patch from Florian Zumbiehl (identical to the upstream
    solution in newer releases) to fix the scaling of the psmono/psgray
    driver - the output was scaled twice (closes: #171530).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 17 Dec 2002 11:44:44 +0100

gs (7.05-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Use libpng3-dev instead libpng2-dev.

 -- Torsten Landschoff <torsten@debian.org>  Sun,  1 Sep 2002 01:10:37 +0200

gs (6.53-7) unstable; urgency=low

  * debian/rules (binary-arch): Use rm -Rf to kill the man dir as rm -R
    seems to ask for permission for some users (closes: #152037).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Aug 2002 01:28:36 +0200

gs (6.53-6) unstable; urgency=low

  * debian/devices: Enable the ljet4d driver as suggested by
    Isidro Cachadiña Gutiérez.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 27 Aug 2002 11:29:17 +0200

gs (6.53-5) unstable; urgency=low

  * Apply the hpijs margin patch from
    http://hpinkjet.sourceforge.net/gdevijs2.patch (closes: #151869).

 -- Torsten Landschoff <torsten@debian.org>  Thu,  4 Jul 2002 09:54:39 +0200

gs (6.53-4) unstable; urgency=low

  * Enable the hl1240 driver (the hl1250 should already be there, but it
    seems it isn't...).
  * debian/control: Change build dependency on libgimpprint-dev to
    libgimpprint1-dev.

 -- Torsten Landschoff <torsten@debian.org>  Wed,  3 Jul 2002 19:36:58 +0200

gs (6.53-3) unstable; urgency=high

  * debian/copyright: Include information about add on packages and
    their licenses.

  * debian/devices: Move x11 in front of x11alpha which has problems with
    mono displays at least (closes: #138844).
  * src/unix-gcc.mak: Reenable the pipe device as it seems harmless after
    all and many filters will break as they are using this feature to
    circumvent the old Ghostscript problem with -sOutputFile=- when
    the PostScript file writes text to stdout which interferes with the
    printer commands... (closes: #138364).
  * debian/control: Remove the reference to gs-pdfencrypt which is now
    obsolete as it is included in the official Ghostscript now.

  * Lintian cleanup:
    + Remove the extra license file /usr/share/doc/gs/COPYING.gz
    + Copying.htm stays as it is since it is linked in the docs
    + Convert History[56].htm to changes.gz using html2text to have an
      upstream changelog.
  * Included a few important patches from the Ghostscript CVS:
    + Handle the margins from an ijs server correctly. It was my hope that
      this would account for #141608, but that does not seem to be the
      case :(
    + src/gdevx.c: Patched to use the "right" color depth on X11 for
      all cases. It used to take the actual number of bits to store
      the color info as opposed to the number of bits actually used.
    + lib/pdf2dsc.ps: This was broken because of the security fix.
      Patched to open the files before dropping privileges.

  * lib/stcolor.ps: Compare the product name with "GNU Ghostscript" instead
    of just "Ghostscript" to detect the interpreter (closes: #108120).
  * src/gdevbj10.c: Apply the patch to fix the margins for the Canon BJ10e
    submitted by Jim Hague (closes: #118078).
  * debian/postinst: Link the manpage to gs.1.gz as well as a slave of
    the /usr/bin/gs alternative (closes: #122538).
  * gimp-print/README.stp: Copy from gimp-print source tree.
  * debian/docs: Install that file as $(docdir)/README.stp for those
    using that driver and needing some infos (closes: #122099).
    + debian/README.Debian: Refer the user to README.stp.
  * debian/rules: Install the documentation of the pcl3 driver
    (closes: #39342).
  * debian/docs: Add the README.lexmark of the lexmarkgs driver to the
    installed documentation.

 -- Torsten Landschoff <torsten@debian.org>  Tue,  9 Apr 2002 02:29:10 +0200

gs (6.53-2) unstable; urgency=high

  * [SECURITY] src/unix-gcc.mak: Disable the pipe device as well since it
    still allows executing arbitrary commands. I'll turn it back on when I am
    sure it does not cause any security problems.

 -- Torsten Landschoff <torsten@debian.org>  Thu,  7 Mar 2002 12:24:53 +0100

gs (6.53-1) unstable; urgency=high

  * New upstream release (closes: #130426).
    + Fixes the security problem allowing reading all files and
      executing random commands (closes: #136652).
  * debian/gen-makefile: Fix the BUILD_OPTIONS check (closes: #121871).
  * Should fix the cjk stuff I hope (closes: #116516). In case there is
    another problem please could somebody provide me with information
    how to check that it works? I am more than deeply frustrated with
    getting readmes in japanese, web pages in japanese etc. That's just
    deeply frustrating.

 -- Torsten Landschoff <torsten@debian.org>  Wed,  6 Mar 2002 01:20:30 +0100

gs (6.51-7) unstable; urgency=medium

  * Urgency medium because it works around a bug breaking the package
    on one Debian architecture.
  * src/gxobj.h [IA64]: Lock the object alignment to 16 bytes, as the
    initial setjmp segfaults because of a bad alignment. jmp_buf needs
    to be on 16 byte boundaries for this arch. This is a quick work
    around until somebody comes up with a better fix - at least it
    gets gs to work on ia64 - I am not certain how much memory overhead
    this causes though. Kudos to John Daily <jdaily@progeny.com> for his
    investigative work. I am leaving the bug open for now, since it does
    not really fix the problem (#128314).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  8 Jan 2002 21:12:22 +0100

gs (6.51-6) unstable; urgency=low

  * ijs/*: Include the ijs driver from the hpijs source.
  * debian/devices: Add ijs to the device list.
  * src/contrib.mak: Include ijs/contrib.mak-6.51.add

 -- Torsten Landschoff <torsten@debian.org>  Mon, 31 Dec 2001 15:00:45 +0100

gs (6.51-5) unstable; urgency=low

  * gimp-print/gdevstp.c: Update from gimp-print 4.1.99-rc1 (closes: #120009)

 -- Torsten Landschoff <torsten@debian.org>  Fri, 16 Nov 2001 14:29:11 +0100

gs (6.51-4) unstable; urgency=low

  * src/gdevxini.c: Apply the patch supplied by Chanop Silpa-Anan
    (closes: #85811). Thanks for your support, Chanop!
  * debian/gen-makefile: Add /usr/share/ghostscript/common to the
    search path to get gs-pdfencrypt working again (closes: #119406).
  * Download the lex5000 driver and include it in the build system
    (closes: #58657).
  * debian/devices: Add lx5000, lex5000.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 14 Nov 2001 16:47:57 +0100

gs (6.51-3) unstable; urgency=low

  * debian/devices: Enabled the cfax driver as requested by a user.

 -- Torsten Landschoff <torsten@debian.org>  Fri,  9 Nov 2001 17:48:23 +0100

gs (6.51-2) unstable; urgency=low

  * Enable the Brother HL 1250 driver (closes: #63027).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 17 Oct 2001 12:07:23 +0200

gs (6.51-1) unstable; urgency=low

  * New upstream release (closes: #101928).
  * The new upstream release fixes many problems with the interpreter.
    These bugs were fixed in Ghostscript 6.0:
    + the font rendering problem in X11 is fixed (closes: #28579)
    + ps2pdf does not write rectangles for polygons anymore (closes: #36200)
    + the PDF which crashed gs does not lead to any problems (closes: #45361)
    + a PDF which was inverted by pdf2ps stays black on
      white now (closes: #49659).
    + Philipp's file crashing gs does not do so anymore (closes: #58468)
    + the invalid LanguageGroup in fonts does not cause gs to abort
      anymore (closes: #67462).
    + another PDF file which caused a crash is working now (closes: #89995)
  * Rewrote the build system.
  * The libjpeg sources are now included in the diff which is not nice
    but working (closes: #87896).
  * lynx is not used anymore to convert the changelog to plain text
    (closes: #93722).
  * The hpijs driver is now included upstream (closes: #106294).
  * Driver support for the Apple Imagewriter is now included (closes: #110740).
  * Make the package use update-alternatives so that different gs packages
    can cooperate (closes: #98227).
  * Add in the gdi driver provided by Daniel Burrows (closes: #105885).
  * debian/devices: Add omni to the list
    + debian/gen-makefile: Add threading and dynamic linking support.
  * debian/control: Add libglib1.2-dev to the Build-Depends as it is
    needed for the Omni driver.
  * debian/devices: Go through the list of available drivers and add
    what we seem to be able to build. Among the new devices:
    - cdj970 (closes: #112434)
    - cljet5, cljet5pr, cljet5c
    - dl2100, hl7x0
    - the generic hpijs device (supports hpijs 0.97, closes: #102369, #110657)
    - imagen, inferno, jetp3852
    - lex2050, lex3200, lex5700
    - oki4w
    - plan9bm
    - psrgb
    - x11cmyk2, x11cmyk4, x11cmyk8, x11gray4
  * src/contrib.mak: Add missing generic hpijs device.
  * Enable stp driver and link with libgimpprint
    (closes: #82454, #87004, #103036)
  * debian/control: Build-Depend on libgimpprint-dev.
  * debian/gen-makefile: Add support for the DEB_BUILD_OPTIONS environment
    variable (more precisely, the debug option leads to a build with
    debugging support and exported private variables).
  * Add in the CJK support using the patch from
    Yasuhiro Take <take@debian.org>. A huge "THANK YOU" to him for his
    work!!! His changes:
    + Add debian/patches/gs-cjk-M2-R1+CJKPDF.diff & .info, and apply it
      to the source.
    + debian/control: Conflicts: Add gs-cjk-resource (<< 1.20010910-1) because
      the new gs-cjk patch requires new gs-cjk-resource that i've already
      prepared and doesn't work with older ones.
    + debian/control: Depends: Add gs-common (>= 0.2) because font
      configuration for the new gs-cjk patch is completely different from
      the old one.
  * debian/control: Removed the conflict with gs_x, gs_svga and gs_both.
    I don't even remember when those packages where in Debian, probably
    before Debian 1.3 so a direct upgrade is going to fail anyway. And
    with intermediate upgrades it will not be a problem.
  * src/imainarg.c: Reapply the papersize diff from debian/patches.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 16 Oct 2001 21:06:14 +0200

gs (5.50-8) unstable; urgency=low

  * debian/rules: Use html2text to convert the html changelog into
    plain text instead of lynx (closes: #93722).
  * debian/control: Update Build-Depends.
  * debian/prerm: Fix the case to handle both removal and upgrade
    instead of handling upgrading in two cases (closes: #98458).
  * debian/control: Merge multi-line Build-Depends into one line for
    now until our tools support multi line fields (closes: #98459).

 -- Torsten Landschoff <torsten@debian.org>  Mon,  4 Jun 2001 01:22:36 +0200

gs (5.50-7) unstable; urgency=low

  * debian/postrm: Add missing #DEBHELPER# (arg!).
  * debian/prerm: Add defoma-app clean on upgrade.
  * debian/gs.templates: Remove the double negation of the previewer
    question (closes: #94146).
  * Merge german translation for debconf templates (closes: #93840).
  * debian/shlibs.local: Depend on svgalibg1 or svgalib-dummyg1
    alternatively (closes: #93811).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  1 May 2001 22:24:55 +0200

gs (5.50-6) unstable; urgency=low

  * debian/README:
    + Move copyright info to debian/copyright.
    + Mention the align.ps file (closes: #67317).
  * gdevbbox.c: Use default color methods instead of NULL pointers so
    that gs -sDEVICE=bbox does not crash anymore (closes: #36883).

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Apr 2001 21:09:55 +0200

gs (5.50-5) unstable; urgency=low

  * debian/default_path.sh:
    + Include defoma dir in search path.
    + Search local directories before system directories.
    + Defoma is preferred if available...
  * debian/postinst: Fix the hopefully last bashism (s/source/g/).
  * Included support for Hewlett Packard's own printer driver called
    hpijs (closes: #92010). Note that you will need the hpijs package
    for using it.

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Apr 2001 02:40:15 +0200

gs (5.50-4) unstable; urgency=low

  * Install interesting Postscript files as examples (closes: #79461).
  * Finally include the missing if-hpdj filter (closes: #63705).
  * Also add the documentation of hp8xx (closes: #63566).

 -- Torsten Landschoff <torsten@debian.org>  Thu,  5 Apr 2001 03:58:27 +0200

gs (5.50-3) unstable; urgency=low

  * debian/rules:
    + Don't remove debian/postinst anymore in clean target.
    + Read package and version info from changelog.
    + Convert to debhelper.
  * debian/postinst: Again rewritten from scratch (guess why!? *arg*)

 -- Torsten Landschoff <torsten@debian.org>  Thu,  5 Apr 2001 02:34:17 +0200

gs (5.50-2) unstable; urgency=low

  * debian/postinst: Completely rewritten.
    + Fixes the bashism reported by Joey Hess (closes: #92056).
    + Does not mess with /usr/local anymore (closes: #57276).
  * unix-gcc.mak: Readd the x11 device (closes: #92586).
  * debian/config: Change the priority of the defoma questions to
    low. I don't see how the defaults can cause any problems.
  * debian/shlibs.local: Removed. Let's see if it works without.

 -- Torsten Landschoff <torsten@debian.org>  Thu,  5 Apr 2001 01:36:09 +0200

gs (5.50-1) unstable; urgency=low

  * Finally upgrade to new upstream version, still based on the old
    package (the reimplementation is still under the hood ;)
    (closes: #65832, #87673).
  * unix-gcc.mak: Make x11alpha the default device on X11 as already
    done in gs-aladdin. Modern systems should be able to handle the
    anti aliasing fast enough.
  * debian/control: Update build dependencies for new X11.
  * debian/control: Removed Conflicts with local defoma packages made
    by Yasuhiro.
  * debian/patches/svgalib: Adjust for name change of the main Makefile
    and move the targets out of the ifeq so that one can run the file
    standalone.
  * debian/patches/hpdj:
    - Don't patch zmedia2.c since upstream changed it since 5.10.
    - Adjust for name change of the main makefile.
    - Use the right patch from the hpdj distribution for 5.50.
  * debian/patches/hp8xx:
    - Update the devs.mak diff for gs 5.50.
    - Adjust for name change of main makefile.
  * debian/rules: Disable kanji and jpdrivers support (needs update for 5.50).
  * debian/patches/lexmarkgs:
    - Update the devs.mak diff for 5.50.
  * debian/control: Add missing build-depends (closes: #82114, #88393).
  * debian/rules: Make debian/addentry executable before running it
    (closes: #90278).
  * time_.h: Include <time.h> as well as sys/time.h (closes: #90433, #88391).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 29 Mar 2001 01:17:54 +0200

gs (5.10-11.5defoma2) unstable; urgency=low

  * Add kanji patches.

 -- Yasuhiro Take <take@debian.org>  Tue, 27 Mar 2001 20:58:55 +0900

gs (5.10-11.5defoma1) unstable; urgency=low

  * Add Defoma support.
  * Remove kanji patches.

 -- Yasuhiro Take <take@debian.org>  Tue, 20 Mar 2001 18:21:22 +0900

gs (5.10-11) unstable; urgency=low

  * debian/control: Added build time dependency for libfreetype2-dev
    (closes: #82114).
  * Included upp files for stc740 printer provided by Gregory P. Smith
    (closes: #76845).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 15 Jan 2001 00:53:32 +0100

gs (5.10-10.1) stable unstable; urgency=high

  * Non-maintainer upload by security team
  * Patch from Werner Fink:
    + Create temporary files securely using mkstemp instead of mktemp
    + Don't set LD_RUN_PATH to empty, that makes the runtime linker look
      in the current path as well

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 22 Nov 2000 03:35:35 +0100

gs (5.10-10) unstable; urgency=low

  * contrib/kanji/man/ps2jpdf.1: Changed ".SH PS2JPDF" into ".SH NAME"
    (closes: #59925, #60002, #60474).
  * debian/rules: Added -isp to call of dpkg-gencontrol (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 15 Mar 2000 23:30:41 +0100

gs (5.10-9) frozen unstable; urgency=high

  * Applied patch from Colin Phipps to fix security problem in ps2epsi
    (closes: #57034)

 -- Torsten Landschoff <torsten@debian.org>  Sun,  6 Feb 2000 02:24:33 +0100

gs (5.10-8) frozen unstable; urgency=low

  * Only a simple change to close a bugreport: The package contained a
    directory in /usr/local in violation with policy. Sorry for this,
    the directories are now created by the postinst (closes: #56396).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 28 Jan 2000 09:52:17 +0100

gs (5.10-7) frozen unstable; urgency=low

  * This can go into frozen since the changes are absolutely simple.
  * debian/control: Fixed build dependencies (closes: #55451).
  * debian/patches/hpdj: Added installation of margin files as requested in
    #39342 (for gs-aladdin).
  * gcc-head.mak: Added path for local fonts as requested in #31898
    (/usr/local/lib/ghostscript/{common,5.10,fonts})
  * debian/rules: Make the directories intended for local fonts.
  * gs.1: Added documentation for local postscript files.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 20 Jan 2000 12:47:48 +0100

gs (5.10-6) unstable; urgency=low

  * Added driver for Lexmark 7000. Thanks to Alex Winbow for pointing
    me to the patch.
  * debian/rules: Completely rewritten and a bit modularized.
  * hpdj driver updated to version 2.6.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 12 Jan 2000 20:24:44 +0100

gs (5.10-5) unstable; urgency=low

  * New maintainer.
  * debian/control: Added build dependencies.
  * Applied patch from Taketoshi Sano to remove copyrighted stuff from
    the package (closes: #52575).
  * This release is based on Wicherts NMU (thanks for the work Wichert!)
    closes: #53071

 -- Torsten Landschoff <torsten@debian.org>  Wed, 29 Dec 1999 22:22:02 +0100

gs (5.10-4.1) unstable; urgency=low

  * Non-maintainer upload
  * Apply patch to fix mac ttf rendering, Closes: Bug#52590

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 19 Dec 1999 17:05:38 +0100

gs (5.10-4) unstable; urgency=low

  * Small patch applied to file gs_init.ps, so that japanese
    fonts are required only for japanese people (many thaks to
    Fumitoshi Ukai) (closes: Bug#49725, #49732, #49867)

 -- Marco Pistore <pistore@debian.org>  Fri, 12 Nov 1999 12:45:37 +0100

gs (5.10-3) unstable; urgency=low

  * Many thanks to Taketoshi Sano for his great job
    with the Japanese support (closes Bug#41570)

 -- Marco Pistore <pistore@debian.org>  Sun,  7 Nov 1999 02:56:13 +0100

gs (5.10-2.0.vflib.2) experimental; urgency=low

  * Non Maintainer.
  * Add support for many drivers included in gs510j49
  * FHS transition
  * Lintian free

 -- Taketoshi Sano <sano@debian.org>  Sun, 31 Oct 1999 09:21:06 +0900

gs (5.10-2.0.vflib.1) experimental; urgency=low

  * Non Maintainer.
  * Experimental revision for Japanese VFlib support enhancement.
  * Please check and modify this experimental revision to add
    Japanese support on the Debian package of "gs"

 -- Taketoshi Sano <sano@debian.org>  Sat, 30 Oct 1999 15:03:07 +0900

gs (5.10-2) unstable; urgency=low

  * Added support for hp8xx drivers by Uli Wortmann (closes Bug#40807).
  * Added support for epsf and ttfont features.
  * Changed "Aladdin Ghostscript" into "GNU Ghostscript" in
    file stcolor.ps e stcinfo.ps (closed Bug#35411, Bug#35525).

 -- Marco Pistore <pistore@di.unipi.it>  Sat, 10 Jul 1999 23:29:57 +0200

gs (5.10-1) unstable frozen; urgency=low

  * Ghostscript 5.10 is GPL!
    This package essentially corresponds to package gs-aladdin_5.10-12,
    but redistributed under GPL. Changes w.r.t. gs-aladdin_5.10-12
    are:
      * Corrected "regulamentations" --> "regulations"
        in description of package.
      * Filenames in script pdf2ps are now enclosed in double quotes
      * Fixed the manpages for bdftops, printafm and wftopfa,
        so that they work with apropos.
    The various patches to ghostscript 5.10 that have been proposed
    by L.P.Deutsch and that appear in gs-aladdin_5.10-12 also appear
    in this package.

 -- Marco Pistore <pistore@di.unipi.it>  Sun,  3 Jan 1999 18:22:57 +0100

gs (4.03-6) unstable; urgency=low

  * Moved to version 2.5 of hpdj driver by Martin Lottermoser (debian/rules
    is changed accordingly).
  * Mentined package gsfonts in description of gs.

 -- Marco Pistore <pistore@di.unipi.it>  Mon,  7 Dec 1998 22:06:21 +0100

gs (4.03-5) frozen unstable; urgency=low

  * Fixed the manpages for bdftops, printafm and wftopfa,
    so that they work with apropos.

  * Removed *.1.gz files from /usr/doc/gs (they already are in the
    /usr/man/man1 directory).

 -- Marco Pistore <pistore@di.unipi.it>  Fri,  6 Nov 1998 10:52:31 +0100

gs (4.03-4) frozen unstable; urgency=low

  * Fixed files stcolor.ps and stcinfo.ps so that they recognize that
    they are called by GNU ghostscript; thanks to Gordon Matzigkeit
    (closes Bug#28726).

 -- Marco Pistore <pistore@di.unipi.it>  Thu,  5 Nov 1998 21:44:07 +0100

gs (4.03-3) unstable; urgency=low

  * Changed "Recommends: gs-pdfencrypt" to "Suggests: gs-pdfencrypt" in
    control file (closes Bug#27431)
  * Removed "Provides: gs_x, gs_svga, gs_both", since "_" cannot appear
    in package names, and no packages should depend on these quite old
    virtual packages.
  * Changed directory name for the libjpeg source from ../libjpeg-6a
    to ../libjpeg: so it does not depend on the particular version
    of libjpeg (changes in files gcc-head.mak, debian/rules and
    debian/jpeg).
  * Linked against libjpeg-6b.

 -- Marco Pistore <pistore@di.unipi.it>  Sat, 10 Oct 1998 00:01:15 +0200

gs (4.03-2) unstable; urgency=low

  * Now /usr/lib/ghostscript/common is searched for library files
    before /usr/lib/ghostscript/X.YY (where X.YY is the version of
    ghostscript). This is useful for installing packages like
    gs-pdfencrypt, that provide (modified) library files
    to ghostscript that are independent from the version of gs
    (also gs.1 is changed accordingly)
  * Now gs-pdfencrypt (in the nonUS distribution) is suggested by
    gs-aladdin. Changed the message in the file pdf_sec.ps so that
    it suggests to install that package if an encrypted pdf file is
    being processed.
  * Linked against libpng2 (closes Bug#26924)

 -- Marco Pistore <pistore@di.unipi.it>  Tue, 29 Sep 1998 21:01:10 +0200

gs (4.03-1) unstable; urgency=low

  * New upstream version (gs 4.03 is finally GPL!!!)
  * Pristine source
  * Set options in gcc-head.mak
  * Added man pages for all the binaries
  * All example files in /usr/doc/gs/examples start now with %!
  * Script font2c moved from /usr/bin to /usr/lib/ghostscript
    (there is really no reason to put this script in /usr/bin)
  * Patched devs.mak and gdevpng.c so to work with version 0.96 of libpng.
  * Patched gdevcdj.c so that device cdeskjet works
    (and is identical to cdj500)
  * Patched gdevl256.c imainarg.c so that superuser rights are given away
    as soon as possible, and re-obtained only to start svgalib (see
    /usr/doc/gs/README.Debian and /usr/doc/gs/setuid.Debian)
  * Patched imainarg.c to set default paper accordig to the system paper
    as reported by libpaper, also patched imaiarg.c so that the lvga256
    device is chosen as the default one if gs is not called from X
  * Patched zlib.mak: here the shared file for zlib is called libz,
    not libgz

 -- Marco Pistore <pistore@di.unipi.it>  Thu, 4 Jun 1998 20:29:47 +0100

gs (3.33-7) unstable; urgency=low

  * Corrected address of FSF in copyright file
  * All the scripts start now with #!
  * Added man pages for all the binaries
  * bdftops, font2c and wftopfa moved from /usr/bin to
    /usr/lib/ghostscript
    (there is really no reason to put these scripts in /usr/bin)
  * gs.real moved to /usr/lib/ghostscript (it should not be
    called by the user)

 -- Marco Pistore <pistore@di.unipi.it>  Thu, 12 Mar 1998 20:29:38 +0100

gs (3.33-6) unstable; urgency=low

  * New maintainer
  * Libc6 (hamm) release
  * Minor fixes in debian/rules
  * Bug 10270 fixed: now manpages are compressed
  * Bug 9935 fixed: package works with svgalib-dummy
  * Redundant dependencies removed in debian/control
    (this also fixes Bug 9157)
  * Now device cdeskjet works (and is identical to cdj500)

 -- Marco Pistore <pistore@di.unipi.it>  Mon, 29 Sep 1997 20:41:47 +0200

gs (3.33-5) stable; urgency=low

  * Examples used to be in /usr/doc/$(examples)/examples, but $(examples)
    was empty (should have been $(package), must have been sleeping)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 7 Feb 1997 15:15:37 +0100

gs (3.33-4) stable; urgency=low

  * debian/rules didn't install some files in ./debian/tmp, but in /!!!
    Why do I need root to build packages?
  * Minor fix in wrapper.c (no change in binary)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue, 21 Jan 1997 19:15:53 +0100

gs (3.33-3) stable; urgency=low

  * apparently, gs-3.33 never got compiled with all devices (only a
    pitiful few ones). Fixed this.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 8 Nov 1996 21:49:49 +0100

gs (3.33-2) unstable; urgency=low

  * Converted to new source format
  * Removed the "+1" bug in the wrapper that caused coredumps with
    libc5.4.7
  * included x11alpha x11cmyk devices
  * removed dependancy on gsfonts
  * Improved argument parsing of wrapper
  * Stripped the executables
  * Fixed discription bug "This version is aladdin coright,..."!
    (Sorry!)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 31 Oct 1996 20:56:01 +0100

